<?php

namespace Sabre\TravelItineraryRead;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'TravelItineraryReadRQ' => '\\Sabre\\TravelItineraryRead\\Structs\\TravelItineraryReadRQ',
            'MessagingDetails' => '\\Sabre\\TravelItineraryRead\\Structs\\MessagingDetails',
            'SubjectAreas' => '\\Sabre\\TravelItineraryRead\\Structs\\SubjectAreas',
            'UniqueID' => '\\Sabre\\TravelItineraryRead\\Structs\\UniqueID',
            'ReturnOptions' => '\\Sabre\\TravelItineraryRead\\Structs\\ReturnOptions',
            'AirType' => '\\Sabre\\TravelItineraryRead\\Structs\\AirType',
            'MarriageGrp' => '\\Sabre\\TravelItineraryRead\\Structs\\MarriageGrp',
            'AncillaryServices' => '\\Sabre\\TravelItineraryRead\\Structs\\AncillaryServices',
            'AncillaryService' => '\\Sabre\\TravelItineraryRead\\Structs\\AncillaryService',
            'AirPosType' => '\\Sabre\\TravelItineraryRead\\Structs\\AirPosType',
            'AncillaryServiceData' => '\\Sabre\\TravelItineraryRead\\Structs\\AncillaryServiceData',
            'NameAssociationList' => '\\Sabre\\TravelItineraryRead\\Structs\\NameAssociationList',
            'NameAssociationTag' => '\\Sabre\\TravelItineraryRead\\Structs\\NameAssociationTag',
            'SegmentAssociationList' => '\\Sabre\\TravelItineraryRead\\Structs\\SegmentAssociationList',
            'SegmentAssociationTag' => '\\Sabre\\TravelItineraryRead\\Structs\\SegmentAssociationTag',
            'AncillaryPriceQuoteData' => '\\Sabre\\TravelItineraryRead\\Structs\\AncillaryPriceQuoteData',
            'SegmentOrTravelPortion' => '\\Sabre\\TravelItineraryRead\\Structs\\SegmentOrTravelPortion',
            'AncillaryServiceETicketNumberUpdate' => '\\Sabre\\TravelItineraryRead\\Structs\\AncillaryServiceETicketNumberUpdate',
            'AncillaryPrice' => '\\Sabre\\TravelItineraryRead\\Structs\\AncillaryPrice',
            'AncillaryTax' => '\\Sabre\\TravelItineraryRead\\Structs\\AncillaryTax',
            'TravelPortions' => '\\Sabre\\TravelItineraryRead\\Structs\\TravelPortions',
            'ProductTextDetails' => '\\Sabre\\TravelItineraryRead\\Structs\\ProductTextDetails',
            'ProductTextDetailsItem' => '\\Sabre\\TravelItineraryRead\\Structs\\ProductTextDetailsItem',
            'RuleSet' => '\\Sabre\\TravelItineraryRead\\Structs\\RuleSet',
            'Deal' => '\\Sabre\\TravelItineraryRead\\Structs\\Deal',
            'Amount' => '\\Sabre\\TravelItineraryRead\\Structs\\Amount',
            'OriginalPrice' => '\\Sabre\\TravelItineraryRead\\Structs\\OriginalPrice',
            'Taxes' => '\\Sabre\\TravelItineraryRead\\Structs\\Taxes',
            'TicketCouponNumberAssociation' => '\\Sabre\\TravelItineraryRead\\Structs\\TicketCouponNumberAssociation',
            'TotalTaxes' => '\\Sabre\\TravelItineraryRead\\Structs\\TotalTaxes',
            'BagWeight' => '\\Sabre\\TravelItineraryRead\\Structs\\BagWeight',
            'ProductType' => '\\Sabre\\TravelItineraryRead\\Structs\\ProductType',
            'OpenReservationElementsType' => '\\Sabre\\TravelItineraryRead\\Structs\\OpenReservationElementsType',
            'OpenReservationElementType' => '\\Sabre\\TravelItineraryRead\\Structs\\OpenReservationElementType',
            'SegmentAssociation' => '\\Sabre\\TravelItineraryRead\\Structs\\SegmentAssociation',
            'SocialMediaContactType' => '\\Sabre\\TravelItineraryRead\\Structs\\SocialMediaContactType',
            'AgencyFeesType' => '\\Sabre\\TravelItineraryRead\\Structs\\AgencyFeesType',
            'LangDetailsType' => '\\Sabre\\TravelItineraryRead\\Structs\\LangDetailsType',
            'LangDataType' => '\\Sabre\\TravelItineraryRead\\Structs\\LangDataType',
            'LangMatchDataType' => '\\Sabre\\TravelItineraryRead\\Structs\\LangMatchDataType',
            'ProductDetailsType' => '\\Sabre\\TravelItineraryRead\\Structs\\ProductDetailsType',
            'TransactionInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\TransactionInfo',
            'BillingInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\BillingInfo',
            'VisaType' => '\\Sabre\\TravelItineraryRead\\Structs\\VisaType',
            'Rates' => '\\Sabre\\TravelItineraryRead\\Structs\\Rates',
            'ServiceFee' => '\\Sabre\\TravelItineraryRead\\Structs\\ServiceFee',
            'DestinationCountry' => '\\Sabre\\TravelItineraryRead\\Structs\\DestinationCountry',
            'ProcessingTime' => '\\Sabre\\TravelItineraryRead\\Structs\\ProcessingTime',
            'Purpose' => '\\Sabre\\TravelItineraryRead\\Structs\\Purpose',
            'Transit' => '\\Sabre\\TravelItineraryRead\\Structs\\Transit',
            'City' => '\\Sabre\\TravelItineraryRead\\Structs\\City',
            'Vendor' => '\\Sabre\\TravelItineraryRead\\Structs\\Vendor',
            'Payment' => '\\Sabre\\TravelItineraryRead\\Structs\\Payment',
            'SkiType' => '\\Sabre\\TravelItineraryRead\\Structs\\SkiType',
            'Booking' => '\\Sabre\\TravelItineraryRead\\Structs\\Booking',
            'ChangePolicy' => '\\Sabre\\TravelItineraryRead\\Structs\\ChangePolicy',
            'ClothingHire' => '\\Sabre\\TravelItineraryRead\\Structs\\ClothingHire',
            'Location' => '\\Sabre\\TravelItineraryRead\\Structs\\Location',
            'Regions' => '\\Sabre\\TravelItineraryRead\\Structs\\Regions',
            'Resort' => '\\Sabre\\TravelItineraryRead\\Structs\\Resort',
            'Transfers' => '\\Sabre\\TravelItineraryRead\\Structs\\Transfers',
            'SkiCommonElementsType' => '\\Sabre\\TravelItineraryRead\\Structs\\SkiCommonElementsType',
            'CostPP' => '\\Sabre\\TravelItineraryRead\\Structs\\CostPP',
            'GroundTransportationType' => '\\Sabre\\TravelItineraryRead\\Structs\\GroundTransportationType',
            'PricingElementsType' => '\\Sabre\\TravelItineraryRead\\Structs\\PricingElementsType',
            'Deposit' => '\\Sabre\\TravelItineraryRead\\Structs\\Deposit',
            'Discount' => '\\Sabre\\TravelItineraryRead\\Structs\\Discount',
            'SubTotal' => '\\Sabre\\TravelItineraryRead\\Structs\\SubTotal',
            'Total' => '\\Sabre\\TravelItineraryRead\\Structs\\Total',
            'OtherType' => '\\Sabre\\TravelItineraryRead\\Structs\\OtherType',
            'Validity' => '\\Sabre\\TravelItineraryRead\\Structs\\Validity',
            'Contributor' => '\\Sabre\\TravelItineraryRead\\Structs\\Contributor',
            'Recipient' => '\\Sabre\\TravelItineraryRead\\Structs\\Recipient',
            'Guest' => '\\Sabre\\TravelItineraryRead\\Structs\\Guest',
            'Document' => '\\Sabre\\TravelItineraryRead\\Structs\\Document',
            'CO2ValueType' => '\\Sabre\\TravelItineraryRead\\Structs\\CO2ValueType',
            'ExternalSystemReferenceType' => '\\Sabre\\TravelItineraryRead\\Structs\\ExternalSystemReferenceType',
            'HotelProductType' => '\\Sabre\\TravelItineraryRead\\Structs\\HotelProductType',
            'HotelPolicy' => '\\Sabre\\TravelItineraryRead\\Structs\\HotelPolicy',
            'CancellationPolicyInfoList' => '\\Sabre\\TravelItineraryRead\\Structs\\CancellationPolicyInfoList',
            'CancelPolicyInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\CancelPolicyInfo',
            'CheckInCheckOutPolicy' => '\\Sabre\\TravelItineraryRead\\Structs\\CheckInCheckOutPolicy',
            'HotelUniqueIDType' => '\\Sabre\\TravelItineraryRead\\Structs\\HotelUniqueIDType',
            'AdditionalContentType' => '\\Sabre\\TravelItineraryRead\\Structs\\AdditionalContentType',
            'ProductBaseType' => '\\Sabre\\TravelItineraryRead\\Structs\\ProductBaseType',
            'ProductNameType' => '\\Sabre\\TravelItineraryRead\\Structs\\ProductNameType',
            'HotelType' => '\\Sabre\\TravelItineraryRead\\Structs\\HotelType',
            'Reservation' => '\\Sabre\\TravelItineraryRead\\Structs\\Reservation',
            'SpecialPrefs' => '\\Sabre\\TravelItineraryRead\\Structs\\SpecialPrefs',
            'RoomType' => '\\Sabre\\TravelItineraryRead\\Structs\\RoomType',
            'Services' => '\\Sabre\\TravelItineraryRead\\Structs\\Services',
            'MealType' => '\\Sabre\\TravelItineraryRead\\Structs\\MealType',
            'RoomRates' => '\\Sabre\\TravelItineraryRead\\Structs\\RoomRates',
            'RateAccessCodeBooked' => '\\Sabre\\TravelItineraryRead\\Structs\\RateAccessCodeBooked',
            'GuestCounts' => '\\Sabre\\TravelItineraryRead\\Structs\\GuestCounts',
            'Guarantee' => '\\Sabre\\TravelItineraryRead\\Structs\\Guarantee',
            'HotelCode' => '\\Sabre\\TravelItineraryRead\\Structs\\HotelCode',
            'HotelTotalPricing' => '\\Sabre\\TravelItineraryRead\\Structs\\HotelTotalPricing',
            'TotalTax' => '\\Sabre\\TravelItineraryRead\\Structs\\TotalTax',
            'Tax' => '\\Sabre\\TravelItineraryRead\\Structs\\Tax',
            'TotalSurcharge' => '\\Sabre\\TravelItineraryRead\\Structs\\TotalSurcharge',
            'Surcharge' => '\\Sabre\\TravelItineraryRead\\Structs\\Surcharge',
            'ApproximateTotal' => '\\Sabre\\TravelItineraryRead\\Structs\\ApproximateTotal',
            'RateChange' => '\\Sabre\\TravelItineraryRead\\Structs\\RateChange',
            'Disclaimer' => '\\Sabre\\TravelItineraryRead\\Structs\\Disclaimer',
            'HotelFees' => '\\Sabre\\TravelItineraryRead\\Structs\\HotelFees',
            'HotelFee' => '\\Sabre\\TravelItineraryRead\\Structs\\HotelFee',
            'AdditionalInformation' => '\\Sabre\\TravelItineraryRead\\Structs\\AdditionalInformation',
            'ConfirmationNumber' => '\\Sabre\\TravelItineraryRead\\Structs\\ConfirmationNumber',
            'Address' => '\\Sabre\\TravelItineraryRead\\Structs\\Address',
            'ContactNumbers' => '\\Sabre\\TravelItineraryRead\\Structs\\ContactNumbers',
            'Commission' => '\\Sabre\\TravelItineraryRead\\Structs\\Commission',
            'SupplementaryServiceType' => '\\Sabre\\TravelItineraryRead\\Structs\\SupplementaryServiceType',
            'Description' => '\\Sabre\\TravelItineraryRead\\Structs\\Description',
            'PassengerReferences' => '\\Sabre\\TravelItineraryRead\\Structs\\PassengerReferences',
            'PassengerRef' => '\\Sabre\\TravelItineraryRead\\Structs\\PassengerRef',
            'ServiceRefType' => '\\Sabre\\TravelItineraryRead\\Structs\\ServiceRefType',
            'DetailType' => '\\Sabre\\TravelItineraryRead\\Structs\\DetailType',
            'RailwayStationInfoType' => '\\Sabre\\TravelItineraryRead\\Structs\\RailwayStationInfoType',
            'RailAccommodationType' => '\\Sabre\\TravelItineraryRead\\Structs\\RailAccommodationType',
            'Placement' => '\\Sabre\\TravelItineraryRead\\Structs\\Placement',
            'Coach' => '\\Sabre\\TravelItineraryRead\\Structs\\Coach',
            'PlacementNumber' => '\\Sabre\\TravelItineraryRead\\Structs\\PlacementNumber',
            'CompanyType' => '\\Sabre\\TravelItineraryRead\\Structs\\CompanyType',
            'Code' => '\\Sabre\\TravelItineraryRead\\Structs\\Code',
            'RailType' => '\\Sabre\\TravelItineraryRead\\Structs\\RailType',
            'MarketingCarrier' => '\\Sabre\\TravelItineraryRead\\Structs\\MarketingCarrier',
            'Passengers' => '\\Sabre\\TravelItineraryRead\\Structs\\Passengers',
            'SupplementaryServices' => '\\Sabre\\TravelItineraryRead\\Structs\\SupplementaryServices',
            'Documents' => '\\Sabre\\TravelItineraryRead\\Structs\\Documents',
            'Details' => '\\Sabre\\TravelItineraryRead\\Structs\\Details',
            'Detail' => '\\Sabre\\TravelItineraryRead\\Structs\\Detail',
            'TourType' => '\\Sabre\\TravelItineraryRead\\Structs\\TourType',
            'Price' => '\\Sabre\\TravelItineraryRead\\Structs\\Price',
            'Breakdown' => '\\Sabre\\TravelItineraryRead\\Structs\\Breakdown',
            'References' => '\\Sabre\\TravelItineraryRead\\Structs\\References',
            'PhoneType' => '\\Sabre\\TravelItineraryRead\\Structs\\PhoneType',
            'TrainDetailsType' => '\\Sabre\\TravelItineraryRead\\Structs\\TrainDetailsType',
            'AddressType' => '\\Sabre\\TravelItineraryRead\\Structs\\AddressType',
            'CityCodes' => '\\Sabre\\TravelItineraryRead\\Structs\\CityCodes',
            'StateProvinceCodes' => '\\Sabre\\TravelItineraryRead\\Structs\\StateProvinceCodes',
            'CountryCodes' => '\\Sabre\\TravelItineraryRead\\Structs\\CountryCodes',
            'DocumentType' => '\\Sabre\\TravelItineraryRead\\Structs\\DocumentType',
            'SegmentReferences' => '\\Sabre\\TravelItineraryRead\\Structs\\SegmentReferences',
            'SegmentRef' => '\\Sabre\\TravelItineraryRead\\Structs\\SegmentRef',
            'FormOfPayment' => '\\Sabre\\TravelItineraryRead\\Structs\\FormOfPayment',
            'CreditCard' => '\\Sabre\\TravelItineraryRead\\Structs\\CreditCard',
            'CardHolder' => '\\Sabre\\TravelItineraryRead\\Structs\\CardHolder',
            'File' => '\\Sabre\\TravelItineraryRead\\Structs\\File',
            'DocumentRules' => '\\Sabre\\TravelItineraryRead\\Structs\\DocumentRules',
            'Rule' => '\\Sabre\\TravelItineraryRead\\Structs\\Rule',
            'CodeDescriptionType' => '\\Sabre\\TravelItineraryRead\\Structs\\CodeDescriptionType',
            'ServiceLevelType' => '\\Sabre\\TravelItineraryRead\\Structs\\ServiceLevelType',
            'EquipmentType' => '\\Sabre\\TravelItineraryRead\\Structs\\EquipmentType',
            'ServiceProviderType' => '\\Sabre\\TravelItineraryRead\\Structs\\ServiceProviderType',
            'LocationDetailsType' => '\\Sabre\\TravelItineraryRead\\Structs\\LocationDetailsType',
            'RailwayStationInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\RailwayStationInfo',
            'StationName' => '\\Sabre\\TravelItineraryRead\\Structs\\StationName',
            'LocalStationName' => '\\Sabre\\TravelItineraryRead\\Structs\\LocalStationName',
            'LocationCodes' => '\\Sabre\\TravelItineraryRead\\Structs\\LocationCodes',
            'Amenities' => '\\Sabre\\TravelItineraryRead\\Structs\\Amenities',
            'AirportInfoType' => '\\Sabre\\TravelItineraryRead\\Structs\\AirportInfoType',
            'AirlineType' => '\\Sabre\\TravelItineraryRead\\Structs\\AirlineType',
            'ExternalReservationType' => '\\Sabre\\TravelItineraryRead\\Structs\\ExternalReservationType',
            'RestrictionsType' => '\\Sabre\\TravelItineraryRead\\Structs\\RestrictionsType',
            'MultilineTextType' => '\\Sabre\\TravelItineraryRead\\Structs\\MultilineTextType',
            'LoyaltyType' => '\\Sabre\\TravelItineraryRead\\Structs\\LoyaltyType',
            'PassengerType' => '\\Sabre\\TravelItineraryRead\\Structs\\PassengerType',
            'Type' => '\\Sabre\\TravelItineraryRead\\Structs\\Type',
            'Profile' => '\\Sabre\\TravelItineraryRead\\Structs\\Profile',
            'RateQualifierType' => '\\Sabre\\TravelItineraryRead\\Structs\\RateQualifierType',
            'SpecialInputType' => '\\Sabre\\TravelItineraryRead\\Structs\\SpecialInputType',
            'ChargesType' => '\\Sabre\\TravelItineraryRead\\Structs\\ChargesType',
            'MoneyType' => '\\Sabre\\TravelItineraryRead\\Structs\\MoneyType',
            'ChargeType' => '\\Sabre\\TravelItineraryRead\\Structs\\ChargeType',
            'CalculationType' => '\\Sabre\\TravelItineraryRead\\Structs\\CalculationType',
            'MinMaxType' => '\\Sabre\\TravelItineraryRead\\Structs\\MinMaxType',
            'POSType' => '\\Sabre\\TravelItineraryRead\\Structs\\POSType',
            'SourceType' => '\\Sabre\\TravelItineraryRead\\Structs\\SourceType',
            'BookingChannelType' => '\\Sabre\\TravelItineraryRead\\Structs\\BookingChannelType',
            'TTYRecordLocatorType' => '\\Sabre\\TravelItineraryRead\\Structs\\TTYRecordLocatorType',
            'OACType' => '\\Sabre\\TravelItineraryRead\\Structs\\OACType',
            'FeeType' => '\\Sabre\\TravelItineraryRead\\Structs\\FeeType',
            'PriceType' => '\\Sabre\\TravelItineraryRead\\Structs\\PriceType',
            'RequestorIDType' => '\\Sabre\\TravelItineraryRead\\Structs\\RequestorIDType',
            'CompanyNameType' => '\\Sabre\\TravelItineraryRead\\Structs\\CompanyNameType',
            'ArrangerDetailsType' => '\\Sabre\\TravelItineraryRead\\Structs\\ArrangerDetailsType',
            'PersonNameType' => '\\Sabre\\TravelItineraryRead\\Structs\\PersonNameType',
            'RailFareType' => '\\Sabre\\TravelItineraryRead\\Structs\\RailFareType',
            'Fare' => '\\Sabre\\TravelItineraryRead\\Structs\\Fare',
            'ClassOfService' => '\\Sabre\\TravelItineraryRead\\Structs\\ClassOfService',
            'ClassCode' => '\\Sabre\\TravelItineraryRead\\Structs\\ClassCode',
            'FareDescription' => '\\Sabre\\TravelItineraryRead\\Structs\\FareDescription',
            'Condition' => '\\Sabre\\TravelItineraryRead\\Structs\\Condition',
            'Fees' => '\\Sabre\\TravelItineraryRead\\Structs\\Fees',
            'RequestorSourceType' => '\\Sabre\\TravelItineraryRead\\Structs\\RequestorSourceType',
            'MapType' => '\\Sabre\\TravelItineraryRead\\Structs\\MapType',
            'entry' => '\\Sabre\\TravelItineraryRead\\Structs\\Entry',
            'PriceCache' => '\\Sabre\\TravelItineraryRead\\Structs\\PriceCache',
            'Comment' => '\\Sabre\\TravelItineraryRead\\Structs\\Comment',
            'ProviderRequest' => '\\Sabre\\TravelItineraryRead\\Structs\\ProviderRequest',
            'ProviderResponse' => '\\Sabre\\TravelItineraryRead\\Structs\\ProviderResponse',
            'TripProposalReference' => '\\Sabre\\TravelItineraryRead\\Structs\\TripProposalReference',
            'ProposalId' => '\\Sabre\\TravelItineraryRead\\Structs\\ProposalId',
            'OptionIds' => '\\Sabre\\TravelItineraryRead\\Structs\\OptionIds',
            'Loyalty' => '\\Sabre\\TravelItineraryRead\\Structs\\Loyalty',
            'Metadata' => '\\Sabre\\TravelItineraryRead\\Structs\\Metadata',
            'FrequentFlyer' => '\\Sabre\\TravelItineraryRead\\Structs\\FrequentFlyer',
            'CodeDescription' => '\\Sabre\\TravelItineraryRead\\Structs\\CodeDescription',
            'PaymentCard' => '\\Sabre\\TravelItineraryRead\\Structs\\PaymentCard',
            'CardNumber' => '\\Sabre\\TravelItineraryRead\\Structs\\CardNumber',
            'ApprovalList' => '\\Sabre\\TravelItineraryRead\\Structs\\ApprovalList',
            'PaymentCardApproval' => '\\Sabre\\TravelItineraryRead\\Structs\\PaymentCardApproval',
            'Cash' => '\\Sabre\\TravelItineraryRead\\Structs\\Cash',
            'Check' => '\\Sabre\\TravelItineraryRead\\Structs\\Check',
            'Invoice' => '\\Sabre\\TravelItineraryRead\\Structs\\Invoice',
            'Docket' => '\\Sabre\\TravelItineraryRead\\Structs\\Docket',
            'GR' => '\\Sabre\\TravelItineraryRead\\Structs\\GR',
            'SGR' => '\\Sabre\\TravelItineraryRead\\Structs\\SGR',
            'GGR' => '\\Sabre\\TravelItineraryRead\\Structs\\GGR',
            'FGR' => '\\Sabre\\TravelItineraryRead\\Structs\\FGR',
            'GTR' => '\\Sabre\\TravelItineraryRead\\Structs\\GTR',
            'VirtualCard' => '\\Sabre\\TravelItineraryRead\\Structs\\VirtualCard',
            'Transactions' => '\\Sabre\\TravelItineraryRead\\Structs\\Transactions',
            'Transaction' => '\\Sabre\\TravelItineraryRead\\Structs\\Transaction',
            'OtherFOP' => '\\Sabre\\TravelItineraryRead\\Structs\\OtherFOP',
            'PayLaterPlan' => '\\Sabre\\TravelItineraryRead\\Structs\\PayLaterPlan',
            'LoyaltyProgramRedemption' => '\\Sabre\\TravelItineraryRead\\Structs\\LoyaltyProgramRedemption',
            'TierLevel' => '\\Sabre\\TravelItineraryRead\\Structs\\TierLevel',
            'AncillaryProductObject' => '\\Sabre\\TravelItineraryRead\\Structs\\AncillaryProductObject',
            'InvoiceData' => '\\Sabre\\TravelItineraryRead\\Structs\\InvoiceData',
            'ApoXmlData' => '\\Sabre\\TravelItineraryRead\\Structs\\ApoXmlData',
            'AccountingField' => '\\Sabre\\TravelItineraryRead\\Structs\\AccountingField',
            'AccountingTransaction' => '\\Sabre\\TravelItineraryRead\\Structs\\AccountingTransaction',
            'AccountingTransactionItem' => '\\Sabre\\TravelItineraryRead\\Structs\\AccountingTransactionItem',
            'Promotion' => '\\Sabre\\TravelItineraryRead\\Structs\\Promotion',
            'AccountingTransactionSource' => '\\Sabre\\TravelItineraryRead\\Structs\\AccountingTransactionSource',
            'SegmentData' => '\\Sabre\\TravelItineraryRead\\Structs\\SegmentData',
            'AccountingTransactionAmount' => '\\Sabre\\TravelItineraryRead\\Structs\\AccountingTransactionAmount',
            'Points' => '\\Sabre\\TravelItineraryRead\\Structs\\Points',
            'AccountingTransactionAmountWithRule' => '\\Sabre\\TravelItineraryRead\\Structs\\AccountingTransactionAmountWithRule',
            'FareComponent' => '\\Sabre\\TravelItineraryRead\\Structs\\FareComponent',
            'PriceQuoteType' => '\\Sabre\\TravelItineraryRead\\Structs\\PriceQuoteType',
            'ServiceRequestType' => '\\Sabre\\TravelItineraryRead\\Structs\\ServiceRequestType',
            'ServiceRequestType.PassengerAddressInformation' => '\\Sabre\\TravelItineraryRead\\Structs\\ServiceRequestType_PassengerAddressInformation',
            'ServiceRequestType.OtherSupplementaryInformation' => '\\Sabre\\TravelItineraryRead\\Structs\\ServiceRequestType_OtherSupplementaryInformation',
            'ServiceRequestType.TravelDocument' => '\\Sabre\\TravelItineraryRead\\Structs\\ServiceRequestType_TravelDocument',
            'ServiceRequestType.PassengerProvidedContactForPassenger' => '\\Sabre\\TravelItineraryRead\\Structs\\ServiceRequestType_PassengerProvidedContactForPassenger',
            'ServiceRequestType.PassengerContactEmail' => '\\Sabre\\TravelItineraryRead\\Structs\\ServiceRequestType_PassengerContactEmail',
            'ServiceRequestType.PassengerContactMobilePhone' => '\\Sabre\\TravelItineraryRead\\Structs\\ServiceRequestType_PassengerContactMobilePhone',
            'InsuranceType' => '\\Sabre\\TravelItineraryRead\\Structs\\InsuranceType',
            'QuoteID' => '\\Sabre\\TravelItineraryRead\\Structs\\QuoteID',
            'Coverages' => '\\Sabre\\TravelItineraryRead\\Structs\\Coverages',
            'AddOns' => '\\Sabre\\TravelItineraryRead\\Structs\\AddOns',
            'DestinationLocation' => '\\Sabre\\TravelItineraryRead\\Structs\\DestinationLocation',
            'OriginLocation' => '\\Sabre\\TravelItineraryRead\\Structs\\OriginLocation',
            'Travelers' => '\\Sabre\\TravelItineraryRead\\Structs\\Travelers',
            'Traveler' => '\\Sabre\\TravelItineraryRead\\Structs\\Traveler',
            'Declarations' => '\\Sabre\\TravelItineraryRead\\Structs\\Declarations',
            'Declaration' => '\\Sabre\\TravelItineraryRead\\Structs\\Declaration',
            'InsuranceCoverAddOn' => '\\Sabre\\TravelItineraryRead\\Structs\\InsuranceCoverAddOn',
            'Options' => '\\Sabre\\TravelItineraryRead\\Structs\\Options',
            'Option' => '\\Sabre\\TravelItineraryRead\\Structs\\Option',
            'InsuranceCoverage' => '\\Sabre\\TravelItineraryRead\\Structs\\InsuranceCoverage',
            'Email' => '\\Sabre\\TravelItineraryRead\\Structs\\Email',
            'InsuranceOptOut' => '\\Sabre\\TravelItineraryRead\\Structs\\InsuranceOptOut',
            'VehicleType' => '\\Sabre\\TravelItineraryRead\\Structs\\VehicleType',
            'VehicleRentalCore' => '\\Sabre\\TravelItineraryRead\\Structs\\VehicleRentalCore',
            'DropOffLocationDetails' => '\\Sabre\\TravelItineraryRead\\Structs\\DropOffLocationDetails',
            'FlightSegment' => '\\Sabre\\TravelItineraryRead\\Structs\\FlightSegment',
            'MarketingAirline' => '\\Sabre\\TravelItineraryRead\\Structs\\MarketingAirline',
            'LocationDetails' => '\\Sabre\\TravelItineraryRead\\Structs\\LocationDetails',
            'VehicleVendorAvail' => '\\Sabre\\TravelItineraryRead\\Structs\\VehicleVendorAvail',
            'VehicleResCore' => '\\Sabre\\TravelItineraryRead\\Structs\\VehicleResCore',
            'CollectionDeliveryInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\CollectionDeliveryInfo',
            'CollectionInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\CollectionInfo',
            'DeliveryInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\DeliveryInfo',
            'GuaranteePrepaid' => '\\Sabre\\TravelItineraryRead\\Structs\\GuaranteePrepaid',
            'CancellationRefundAmount' => '\\Sabre\\TravelItineraryRead\\Structs\\CancellationRefundAmount',
            'PricedEquipment' => '\\Sabre\\TravelItineraryRead\\Structs\\PricedEquipment',
            'RentalRate' => '\\Sabre\\TravelItineraryRead\\Structs\\RentalRate',
            'Billing' => '\\Sabre\\TravelItineraryRead\\Structs\\Billing',
            'Client' => '\\Sabre\\TravelItineraryRead\\Structs\\Client',
            'Corporate' => '\\Sabre\\TravelItineraryRead\\Structs\\Corporate',
            'CustLoyalty' => '\\Sabre\\TravelItineraryRead\\Structs\\CustLoyalty',
            'InvoiceRemarks' => '\\Sabre\\TravelItineraryRead\\Structs\\InvoiceRemarks',
            'Remarks' => '\\Sabre\\TravelItineraryRead\\Structs\\Remarks',
            'ServiceInformation' => '\\Sabre\\TravelItineraryRead\\Structs\\ServiceInformation',
            'TourCode' => '\\Sabre\\TravelItineraryRead\\Structs\\TourCode',
            'VehicleTypes' => '\\Sabre\\TravelItineraryRead\\Structs\\VehicleTypes',
            'Voucher' => '\\Sabre\\TravelItineraryRead\\Structs\\Voucher',
            'Charge' => '\\Sabre\\TravelItineraryRead\\Structs\\Charge',
            'ConversionRate' => '\\Sabre\\TravelItineraryRead\\Structs\\ConversionRate',
            'ChargeDetails' => '\\Sabre\\TravelItineraryRead\\Structs\\ChargeDetails',
            'ApproximateTotalCharge' => '\\Sabre\\TravelItineraryRead\\Structs\\ApproximateTotalCharge',
            'Mileage' => '\\Sabre\\TravelItineraryRead\\Structs\\Mileage',
            'ExcessRate' => '\\Sabre\\TravelItineraryRead\\Structs\\ExcessRate',
            'TravelItineraryReadRS' => '\\Sabre\\TravelItineraryRead\\Structs\\TravelItineraryReadRS',
            'TravelItinerary' => '\\Sabre\\TravelItineraryRead\\Structs\\TravelItinerary',
            'AccountingInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\AccountingInfo',
            'AccountVendor' => '\\Sabre\\TravelItineraryRead\\Structs\\AccountVendor',
            'Airline' => '\\Sabre\\TravelItineraryRead\\Structs\\Airline',
            'BaseFare' => '\\Sabre\\TravelItineraryRead\\Structs\\BaseFare',
            'DocumentInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\DocumentInfo',
            'PaymentInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\PaymentInfo',
            'CC_Info' => '\\Sabre\\TravelItineraryRead\\Structs\\CC_Info',
            'PersonName' => '\\Sabre\\TravelItineraryRead\\Structs\\PersonName',
            'GST' => '\\Sabre\\TravelItineraryRead\\Structs\\GST',
            'QST' => '\\Sabre\\TravelItineraryRead\\Structs\\QST',
            'TicketingInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\TicketingInfo',
            'eTicket' => '\\Sabre\\TravelItineraryRead\\Structs\\ETicket',
            'Exchange' => '\\Sabre\\TravelItineraryRead\\Structs\\Exchange',
            'Ticketing' => '\\Sabre\\TravelItineraryRead\\Structs\\Ticketing',
            'CustomerInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\CustomerInfo',
            'AddressLine' => '\\Sabre\\TravelItineraryRead\\Structs\\AddressLine',
            'ContactNumber' => '\\Sabre\\TravelItineraryRead\\Structs\\ContactNumber',
            'Passport' => '\\Sabre\\TravelItineraryRead\\Structs\\Passport',
            'CardHolderInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\CardHolderInfo',
            'Form' => '\\Sabre\\TravelItineraryRead\\Structs\\Form',
            'GroupInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\GroupInfo',
            'AssociatedReferenceInformation' => '\\Sabre\\TravelItineraryRead\\Structs\\AssociatedReferenceInformation',
            'AssociatedPNRSummaries' => '\\Sabre\\TravelItineraryRead\\Structs\\AssociatedPNRSummaries',
            'AssociatedPNRSummary' => '\\Sabre\\TravelItineraryRead\\Structs\\AssociatedPNRSummary',
            'ProfileIndex' => '\\Sabre\\TravelItineraryRead\\Structs\\ProfileIndex',
            'FileInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\FileInfo',
            'ItineraryInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\ItineraryInfo',
            'ItineraryPricing' => '\\Sabre\\TravelItineraryRead\\Structs\\ItineraryPricing',
            'FuturePriceInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\FuturePriceInfo',
            'PriceQuote' => '\\Sabre\\TravelItineraryRead\\Structs\\PriceQuote',
            'MiscInformation' => '\\Sabre\\TravelItineraryRead\\Structs\\MiscInformation',
            'BaggageFees' => '\\Sabre\\TravelItineraryRead\\Structs\\BaggageFees',
            'GlobalNetRemit' => '\\Sabre\\TravelItineraryRead\\Structs\\GlobalNetRemit',
            'NetFare' => '\\Sabre\\TravelItineraryRead\\Structs\\NetFare',
            'EquivFare' => '\\Sabre\\TravelItineraryRead\\Structs\\EquivFare',
            'TotalFare' => '\\Sabre\\TravelItineraryRead\\Structs\\TotalFare',
            'SellingFare' => '\\Sabre\\TravelItineraryRead\\Structs\\SellingFare',
            'SignatureLine' => '\\Sabre\\TravelItineraryRead\\Structs\\SignatureLine',
            'TicketingFees' => '\\Sabre\\TravelItineraryRead\\Structs\\TicketingFees',
            'FeeInformation' => '\\Sabre\\TravelItineraryRead\\Structs\\FeeInformation',
            'AssociatedData' => '\\Sabre\\TravelItineraryRead\\Structs\\AssociatedData',
            'AssociatedDataItem' => '\\Sabre\\TravelItineraryRead\\Structs\\AssociatedDataItem',
            'PricedItinerary' => '\\Sabre\\TravelItineraryRead\\Structs\\PricedItinerary',
            'AirItineraryPricingInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\AirItineraryPricingInfo',
            'ItinTotalFare' => '\\Sabre\\TravelItineraryRead\\Structs\\ItinTotalFare',
            'TaxBreakdownCode' => '\\Sabre\\TravelItineraryRead\\Structs\\TaxBreakdownCode',
            'Totals' => '\\Sabre\\TravelItineraryRead\\Structs\\Totals',
            'PassengerTypeQuantity' => '\\Sabre\\TravelItineraryRead\\Structs\\PassengerTypeQuantity',
            'PrivateFareInformation' => '\\Sabre\\TravelItineraryRead\\Structs\\PrivateFareInformation',
            'PTC_FareBreakdown' => '\\Sabre\\TravelItineraryRead\\Structs\\PTC_FareBreakdown',
            'NetRemits' => '\\Sabre\\TravelItineraryRead\\Structs\\NetRemits',
            'NetRemit' => '\\Sabre\\TravelItineraryRead\\Structs\\NetRemit',
            'Endorsements' => '\\Sabre\\TravelItineraryRead\\Structs\\Endorsements',
            'Endorsement' => '\\Sabre\\TravelItineraryRead\\Structs\\Endorsement',
            'FareBasis' => '\\Sabre\\TravelItineraryRead\\Structs\\FareBasis',
            'FareCalculation' => '\\Sabre\\TravelItineraryRead\\Structs\\FareCalculation',
            'BaggageAllowance' => '\\Sabre\\TravelItineraryRead\\Structs\\BaggageAllowance',
            'ValidityDates' => '\\Sabre\\TravelItineraryRead\\Structs\\ValidityDates',
            'Dates' => '\\Sabre\\TravelItineraryRead\\Structs\\Dates',
            'FlightSegmentNumbers' => '\\Sabre\\TravelItineraryRead\\Structs\\FlightSegmentNumbers',
            'NetTicketingInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\NetTicketingInfo',
            'NetFareDetails' => '\\Sabre\\TravelItineraryRead\\Structs\\NetFareDetails',
            'Percent' => '\\Sabre\\TravelItineraryRead\\Structs\\Percent',
            'SellingFareDetails' => '\\Sabre\\TravelItineraryRead\\Structs\\SellingFareDetails',
            'ResponseHeader' => '\\Sabre\\TravelItineraryRead\\Structs\\ResponseHeader',
            'PriceQuotePlus' => '\\Sabre\\TravelItineraryRead\\Structs\\PriceQuotePlus',
            'PassengerInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\PassengerInfo',
            'PassengerData' => '\\Sabre\\TravelItineraryRead\\Structs\\PassengerData',
            'TicketingInstructionsInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\TicketingInstructionsInfo',
            'TicketingInstruction' => '\\Sabre\\TravelItineraryRead\\Structs\\TicketingInstruction',
            'FuturePricingInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\FuturePricingInfo',
            'FuturePrice' => '\\Sabre\\TravelItineraryRead\\Structs\\FuturePrice',
            'PACInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\PACInfo',
            'PAC' => '\\Sabre\\TravelItineraryRead\\Structs\\PAC',
            'PriceQuoteTotals' => '\\Sabre\\TravelItineraryRead\\Structs\\PriceQuoteTotals',
            'ReservationItems' => '\\Sabre\\TravelItineraryRead\\Structs\\ReservationItems',
            'Item' => '\\Sabre\\TravelItineraryRead\\Structs\\Item',
            'AirTaxi' => '\\Sabre\\TravelItineraryRead\\Structs\\AirTaxi',
            'Arunk' => '\\Sabre\\TravelItineraryRead\\Structs\\Arunk',
            'Cruise' => '\\Sabre\\TravelItineraryRead\\Structs\\Cruise',
            'BSG_Record' => '\\Sabre\\TravelItineraryRead\\Structs\\BSG_Record',
            'CheckInAirline' => '\\Sabre\\TravelItineraryRead\\Structs\\CheckInAirline',
            'CodeshareRecord' => '\\Sabre\\TravelItineraryRead\\Structs\\CodeshareRecord',
            'Equipment' => '\\Sabre\\TravelItineraryRead\\Structs\\Equipment',
            'MarketingCodeshareRecord' => '\\Sabre\\TravelItineraryRead\\Structs\\MarketingCodeshareRecord',
            'Meal' => '\\Sabre\\TravelItineraryRead\\Structs\\Meal',
            'OperatingAirline' => '\\Sabre\\TravelItineraryRead\\Structs\\OperatingAirline',
            'OperatingAirlinePricing' => '\\Sabre\\TravelItineraryRead\\Structs\\OperatingAirlinePricing',
            'OperatingAirlineRecord' => '\\Sabre\\TravelItineraryRead\\Structs\\OperatingAirlineRecord',
            'DisclosureCarrier' => '\\Sabre\\TravelItineraryRead\\Structs\\DisclosureCarrier',
            'SupplierRef' => '\\Sabre\\TravelItineraryRead\\Structs\\SupplierRef',
            'Cabin' => '\\Sabre\\TravelItineraryRead\\Structs\\Cabin',
            'Hotel' => '\\Sabre\\TravelItineraryRead\\Structs\\Hotel',
            'BasicPropertyInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\BasicPropertyInfo',
            'CancelPenalty' => '\\Sabre\\TravelItineraryRead\\Structs\\CancelPenalty',
            'Customer' => '\\Sabre\\TravelItineraryRead\\Structs\\Customer',
            'ID' => '\\Sabre\\TravelItineraryRead\\Structs\\ID',
            'POS' => '\\Sabre\\TravelItineraryRead\\Structs\\POS',
            'Source' => '\\Sabre\\TravelItineraryRead\\Structs\\Source',
            'Rate' => '\\Sabre\\TravelItineraryRead\\Structs\\Rate',
            'AdditionalGuestAmounts' => '\\Sabre\\TravelItineraryRead\\Structs\\AdditionalGuestAmounts',
            'HotelRateDescripton' => '\\Sabre\\TravelItineraryRead\\Structs\\HotelRateDescripton',
            'RateDescriptions' => '\\Sabre\\TravelItineraryRead\\Structs\\RateDescriptions',
            'RateDescription' => '\\Sabre\\TravelItineraryRead\\Structs\\RateDescription',
            'Additionals' => '\\Sabre\\TravelItineraryRead\\Structs\\Additionals',
            'Additional' => '\\Sabre\\TravelItineraryRead\\Structs\\Additional',
            'TimeSpan' => '\\Sabre\\TravelItineraryRead\\Structs\\TimeSpan',
            'Insurance' => '\\Sabre\\TravelItineraryRead\\Structs\\Insurance',
            'InsuranceDetails' => '\\Sabre\\TravelItineraryRead\\Structs\\InsuranceDetails',
            'Coverage' => '\\Sabre\\TravelItineraryRead\\Structs\\Coverage',
            'MiscSegment' => '\\Sabre\\TravelItineraryRead\\Structs\\MiscSegment',
            'Rail' => '\\Sabre\\TravelItineraryRead\\Structs\\Rail',
            'SNCF_Information' => '\\Sabre\\TravelItineraryRead\\Structs\\SNCF_Information',
            'Train' => '\\Sabre\\TravelItineraryRead\\Structs\\Train',
            'Seats' => '\\Sabre\\TravelItineraryRead\\Structs\\Seats',
            'Seat' => '\\Sabre\\TravelItineraryRead\\Structs\\Seat',
            'Surface' => '\\Sabre\\TravelItineraryRead\\Structs\\Surface',
            'Tour' => '\\Sabre\\TravelItineraryRead\\Structs\\Tour',
            'TourDetails' => '\\Sabre\\TravelItineraryRead\\Structs\\TourDetails',
            'Duration' => '\\Sabre\\TravelItineraryRead\\Structs\\Duration',
            'HotelInformation' => '\\Sabre\\TravelItineraryRead\\Structs\\HotelInformation',
            'Room' => '\\Sabre\\TravelItineraryRead\\Structs\\Room',
            'VehicleInformation' => '\\Sabre\\TravelItineraryRead\\Structs\\VehicleInformation',
            'Vehicle' => '\\Sabre\\TravelItineraryRead\\Structs\\Vehicle',
            'VehRentalCore' => '\\Sabre\\TravelItineraryRead\\Structs\\VehRentalCore',
            'VehVendorAvail' => '\\Sabre\\TravelItineraryRead\\Structs\\VehVendorAvail',
            'VehResCore' => '\\Sabre\\TravelItineraryRead\\Structs\\VehResCore',
            'StateCountyProv' => '\\Sabre\\TravelItineraryRead\\Structs\\StateCountyProv',
            'PricedEquip' => '\\Sabre\\TravelItineraryRead\\Structs\\PricedEquip',
            'VehicleCharges' => '\\Sabre\\TravelItineraryRead\\Structs\\VehicleCharges',
            'VehicleCharge' => '\\Sabre\\TravelItineraryRead\\Structs\\VehicleCharge',
            'Ancillaries' => '\\Sabre\\TravelItineraryRead\\Structs\\Ancillaries',
            'EquivalentPrice' => '\\Sabre\\TravelItineraryRead\\Structs\\EquivalentPrice',
            'TTLPrice' => '\\Sabre\\TravelItineraryRead\\Structs\\TTLPrice',
            'OriginalBasePrice' => '\\Sabre\\TravelItineraryRead\\Structs\\OriginalBasePrice',
            'TotalOriginalBasePrice' => '\\Sabre\\TravelItineraryRead\\Structs\\TotalOriginalBasePrice',
            'TotalEquivalentPrice' => '\\Sabre\\TravelItineraryRead\\Structs\\TotalEquivalentPrice',
            'TotalTTLPrice' => '\\Sabre\\TravelItineraryRead\\Structs\\TotalTTLPrice',
            'Segment' => '\\Sabre\\TravelItineraryRead\\Structs\\Segment',
            'TravelPortion' => '\\Sabre\\TravelItineraryRead\\Structs\\TravelPortion',
            'ItineraryRef' => '\\Sabre\\TravelItineraryRead\\Structs\\ItineraryRef',
            'TravelPolicy' => '\\Sabre\\TravelItineraryRead\\Structs\\TravelPolicy',
            'PayInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\PayInfo',
            'QueueInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\QueueInfo',
            'RemarkInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\RemarkInfo',
            'Remark' => '\\Sabre\\TravelItineraryRead\\Structs\\Remark',
            'SpecialServiceInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\SpecialServiceInfo',
            'Service' => '\\Sabre\\TravelItineraryRead\\Structs\\Service',
            'OpenReservationElements' => '\\Sabre\\TravelItineraryRead\\Structs\\OpenReservationElements',
            'CorporateIDInfo' => '\\Sabre\\TravelItineraryRead\\Structs\\CorporateIDInfo',
            'VCR' => '\\Sabre\\TravelItineraryRead\\Structs\\VCR',
            'TicketingDocument' => '\\Sabre\\TravelItineraryRead\\Structs\\TicketingDocument',
            'ServiceCoupon' => '\\Sabre\\TravelItineraryRead\\Structs\\ServiceCoupon',
            'AssociationMatrix' => '\\Sabre\\TravelItineraryRead\\Structs\\AssociationMatrix',
            'Parent' => '\\Sabre\\TravelItineraryRead\\Structs\\_Parent',
            'Child' => '\\Sabre\\TravelItineraryRead\\Structs\\Child',
            'AssociationMatrices' => '\\Sabre\\TravelItineraryRead\\Structs\\AssociationMatrices',
            'SignatureType' => '\\Sabre\\TravelItineraryRead\\Structs\\SignatureType',
            'SignatureValueType' => '\\Sabre\\TravelItineraryRead\\Structs\\SignatureValueType',
            'SignedInfoType' => '\\Sabre\\TravelItineraryRead\\Structs\\SignedInfoType',
            'CanonicalizationMethodType' => '\\Sabre\\TravelItineraryRead\\Structs\\CanonicalizationMethodType',
            'SignatureMethodType' => '\\Sabre\\TravelItineraryRead\\Structs\\SignatureMethodType',
            'ReferenceType' => '\\Sabre\\TravelItineraryRead\\Structs\\ReferenceType',
            'TransformsType' => '\\Sabre\\TravelItineraryRead\\Structs\\TransformsType',
            'TransformType' => '\\Sabre\\TravelItineraryRead\\Structs\\TransformType',
            'DigestMethodType' => '\\Sabre\\TravelItineraryRead\\Structs\\DigestMethodType',
            'KeyInfoType' => '\\Sabre\\TravelItineraryRead\\Structs\\KeyInfoType',
            'KeyValueType' => '\\Sabre\\TravelItineraryRead\\Structs\\KeyValueType',
            'RetrievalMethodType' => '\\Sabre\\TravelItineraryRead\\Structs\\RetrievalMethodType',
            'X509DataType' => '\\Sabre\\TravelItineraryRead\\Structs\\X509DataType',
            'X509IssuerSerialType' => '\\Sabre\\TravelItineraryRead\\Structs\\X509IssuerSerialType',
            'PGPDataType' => '\\Sabre\\TravelItineraryRead\\Structs\\PGPDataType',
            'SPKIDataType' => '\\Sabre\\TravelItineraryRead\\Structs\\SPKIDataType',
            'ObjectType' => '\\Sabre\\TravelItineraryRead\\Structs\\ObjectType',
            'ManifestType' => '\\Sabre\\TravelItineraryRead\\Structs\\ManifestType',
            'SignaturePropertiesType' => '\\Sabre\\TravelItineraryRead\\Structs\\SignaturePropertiesType',
            'SignaturePropertyType' => '\\Sabre\\TravelItineraryRead\\Structs\\SignaturePropertyType',
            'DSAKeyValueType' => '\\Sabre\\TravelItineraryRead\\Structs\\DSAKeyValueType',
            'RSAKeyValueType' => '\\Sabre\\TravelItineraryRead\\Structs\\RSAKeyValueType',
            'Envelope' => '\\Sabre\\TravelItineraryRead\\Structs\\Envelope',
            'Header' => '\\Sabre\\TravelItineraryRead\\Structs\\Header',
            'Body' => '\\Sabre\\TravelItineraryRead\\Structs\\Body',
            'Fault' => '\\Sabre\\TravelItineraryRead\\Structs\\Fault',
            'detail' => '\\Sabre\\TravelItineraryRead\\Structs\\Detail_1',
            'Manifest' => '\\Sabre\\TravelItineraryRead\\Structs\\Manifest',
            'Reference' => '\\Sabre\\TravelItineraryRead\\Structs\\Reference',
            'Schema' => '\\Sabre\\TravelItineraryRead\\Structs\\Schema',
            'MessageHeader' => '\\Sabre\\TravelItineraryRead\\Structs\\MessageHeader',
            'MessageData' => '\\Sabre\\TravelItineraryRead\\Structs\\MessageData',
            'SyncReply' => '\\Sabre\\TravelItineraryRead\\Structs\\SyncReply',
            'MessageOrder' => '\\Sabre\\TravelItineraryRead\\Structs\\MessageOrder',
            'AckRequested' => '\\Sabre\\TravelItineraryRead\\Structs\\AckRequested',
            'Acknowledgment' => '\\Sabre\\TravelItineraryRead\\Structs\\Acknowledgment',
            'ErrorList' => '\\Sabre\\TravelItineraryRead\\Structs\\ErrorList',
            'Error' => '\\Sabre\\TravelItineraryRead\\Structs\\Error',
            'StatusResponse' => '\\Sabre\\TravelItineraryRead\\Structs\\StatusResponse',
            'StatusRequest' => '\\Sabre\\TravelItineraryRead\\Structs\\StatusRequest',
            'sequenceNumber.type' => '\\Sabre\\TravelItineraryRead\\Structs\\SequenceNumber_type',
            'PartyId' => '\\Sabre\\TravelItineraryRead\\Structs\\PartyId',
            'To' => '\\Sabre\\TravelItineraryRead\\Structs\\To',
            'From' => '\\Sabre\\TravelItineraryRead\\Structs\\From',
            'Security' => '\\Sabre\\TravelItineraryRead\\Structs\\Security',
            'UsernameToken' => '\\Sabre\\TravelItineraryRead\\Structs\\UsernameToken',
            'SabreHeader' => '\\Sabre\\TravelItineraryRead\\Structs\\SabreHeader',
            'DiagnosticResults' => '\\Sabre\\TravelItineraryRead\\Structs\\DiagnosticResults',
            'Diagnostics' => '\\Sabre\\TravelItineraryRead\\Structs\\Diagnostics',
            'Identification' => '\\Sabre\\TravelItineraryRead\\Structs\\Identification',
            'Identifier.System' => '\\Sabre\\TravelItineraryRead\\Structs\\Identifier_System',
            'Message.Condition' => '\\Sabre\\TravelItineraryRead\\Structs\\Message_Condition',
            'ProblemBase' => '\\Sabre\\TravelItineraryRead\\Structs\\ProblemBase',
            'ProblemSummary' => '\\Sabre\\TravelItineraryRead\\Structs\\ProblemSummary',
            'ResultSummary' => '\\Sabre\\TravelItineraryRead\\Structs\\ResultSummary',
            'Traces' => '\\Sabre\\TravelItineraryRead\\Structs\\Traces',
            'TraceRecord' => '\\Sabre\\TravelItineraryRead\\Structs\\TraceRecord',
            'TrackingID' => '\\Sabre\\TravelItineraryRead\\Structs\\TrackingID',
            'STL_Payload' => '\\Sabre\\TravelItineraryRead\\Structs\\STL_Payload',
            'Results' => '\\Sabre\\TravelItineraryRead\\Structs\\Results',
            'ApplicationResults' => '\\Sabre\\TravelItineraryRead\\Structs\\ApplicationResults',
            'ProblemInformation' => '\\Sabre\\TravelItineraryRead\\Structs\\ProblemInformation',
            'SystemSpecificResults' => '\\Sabre\\TravelItineraryRead\\Structs\\SystemSpecificResults',
            'HostCommand' => '\\Sabre\\TravelItineraryRead\\Structs\\HostCommand',
        );
    }
}
