<?php

namespace Sabre\TravelItineraryRead\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AccountingTransactionAmount Structs
 * @subpackage Structs
 */
class AccountingTransactionAmount extends AbstractStructBase
{
    /**
     * The Money
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\MoneyType
     */
    public $Money;
    /**
     * The Points
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\Points
     */
    public $Points;
    /**
     * Constructor method for AccountingTransactionAmount
     * @uses AccountingTransactionAmount::setMoney()
     * @uses AccountingTransactionAmount::setPoints()
     * @param \Sabre\TravelItineraryRead\Structs\MoneyType $money
     * @param \Sabre\TravelItineraryRead\Structs\Points $points
     */
    public function __construct(\Sabre\TravelItineraryRead\Structs\MoneyType $money = null, \Sabre\TravelItineraryRead\Structs\Points $points = null)
    {
        $this
            ->setMoney($money)
            ->setPoints($points);
    }
    /**
     * Get Money value
     * @return \Sabre\TravelItineraryRead\Structs\MoneyType|null
     */
    public function getMoney()
    {
        return $this->Money;
    }
    /**
     * Set Money value
     * @param \Sabre\TravelItineraryRead\Structs\MoneyType $money
     * @return \Sabre\TravelItineraryRead\Structs\AccountingTransactionAmount
     */
    public function setMoney(\Sabre\TravelItineraryRead\Structs\MoneyType $money = null)
    {
        $this->Money = $money;
        return $this;
    }
    /**
     * Get Points value
     * @return \Sabre\TravelItineraryRead\Structs\Points|null
     */
    public function getPoints()
    {
        return $this->Points;
    }
    /**
     * Set Points value
     * @param \Sabre\TravelItineraryRead\Structs\Points $points
     * @return \Sabre\TravelItineraryRead\Structs\AccountingTransactionAmount
     */
    public function setPoints(\Sabre\TravelItineraryRead\Structs\Points $points = null)
    {
        $this->Points = $points;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\TravelItineraryRead\Structs\AccountingTransactionAmount
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
