<?php

namespace Sabre\TravelItineraryRead\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AncillaryProductObject Structs
 * @subpackage Structs
 */
class AncillaryProductObject extends AbstractStructBase
{
    /**
     * The XmlData
     * @var \Sabre\TravelItineraryRead\Structs\ApoXmlData
     */
    public $XmlData;
    /**
     * The Id
     * @var string
     */
    public $Id;
    /**
     * The Operation
     * Meta informations extracted from the WSDL
     * - default: CREATE
     * @var string
     */
    public $Operation;
    /**
     * Constructor method for AncillaryProductObject
     * @uses AncillaryProductObject::setXmlData()
     * @uses AncillaryProductObject::setId()
     * @uses AncillaryProductObject::setOperation()
     * @param \Sabre\TravelItineraryRead\Structs\ApoXmlData $xmlData
     * @param string $id
     * @param string $operation
     */
    public function __construct(\Sabre\TravelItineraryRead\Structs\ApoXmlData $xmlData = null, $id = null, $operation = 'CREATE')
    {
        $this
            ->setXmlData($xmlData)
            ->setId($id)
            ->setOperation($operation);
    }
    /**
     * Get XmlData value
     * @return \Sabre\TravelItineraryRead\Structs\ApoXmlData|null
     */
    public function getXmlData()
    {
        return $this->XmlData;
    }
    /**
     * Set XmlData value
     * @param \Sabre\TravelItineraryRead\Structs\ApoXmlData $xmlData
     * @return \Sabre\TravelItineraryRead\Structs\AncillaryProductObject
     */
    public function setXmlData(\Sabre\TravelItineraryRead\Structs\ApoXmlData $xmlData = null)
    {
        $this->XmlData = $xmlData;
        return $this;
    }
    /**
     * Get Id value
     * @return string|null
     */
    public function getId()
    {
        return $this->Id;
    }
    /**
     * Set Id value
     * @param string $id
     * @return \Sabre\TravelItineraryRead\Structs\AncillaryProductObject
     */
    public function setId($id = null)
    {
        $this->Id = $id;
        return $this;
    }
    /**
     * Get Operation value
     * @return string|null
     */
    public function getOperation()
    {
        return $this->Operation;
    }
    /**
     * Set Operation value
     * @uses \Sabre\TravelItineraryRead\Enums\ApoOperation::valueIsValid()
     * @uses \Sabre\TravelItineraryRead\Enums\ApoOperation::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $operation
     * @return \Sabre\TravelItineraryRead\Structs\AncillaryProductObject
     */
    public function setOperation($operation = 'CREATE')
    {
        $this->Operation = $operation;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\TravelItineraryRead\Structs\AncillaryProductObject
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
