<?php

namespace Sabre\TravelItineraryRead\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ApprovalList Structs
 * @subpackage Structs
 */
class ApprovalList extends AbstractStructBase
{
    /**
     * The Approval
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\PaymentCardApproval[]
     */
    public $Approval;
    /**
     * Constructor method for ApprovalList
     * @uses ApprovalList::setApproval()
     * @param \Sabre\TravelItineraryRead\Structs\PaymentCardApproval[] $approval
     */
    public function __construct(array $approval = array())
    {
        $this
            ->setApproval($approval);
    }
    /**
     * Get Approval value
     * @return \Sabre\TravelItineraryRead\Structs\PaymentCardApproval[]|null
     */
    public function getApproval()
    {
        return $this->Approval;
    }
    /**
     * Set Approval value
     * @throws \InvalidArgumentException
     * @param \Sabre\TravelItineraryRead\Structs\PaymentCardApproval[] $approval
     * @return \Sabre\TravelItineraryRead\Structs\ApprovalList
     */
    public function setApproval(array $approval = array())
    {
        $this->Approval = $approval;
        return $this;
    }
    /**
     * Add item to Approval value
     * @throws \InvalidArgumentException
     * @param \Sabre\TravelItineraryRead\Structs\PaymentCardApproval $item
     * @return \Sabre\TravelItineraryRead\Structs\ApprovalList
     */
    public function addToApproval(\Sabre\TravelItineraryRead\Structs\PaymentCardApproval $item)
    {
        $this->Approval[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\TravelItineraryRead\Structs\ApprovalList
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
