<?php

namespace Sabre\TravelItineraryRead\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BillingInfo Structs
 * @subpackage Structs
 */
class BillingInfo extends AbstractStructBase
{
    /**
     * The BillingCode
     * Meta informations extracted from the WSDL
     * - documentation: Holds information about billing code for product
     * - minOccurs: 1
     * @var string
     */
    public $BillingCode;
    /**
     * Constructor method for BillingInfo
     * @uses BillingInfo::setBillingCode()
     * @param string $billingCode
     */
    public function __construct($billingCode = null)
    {
        $this
            ->setBillingCode($billingCode);
    }
    /**
     * Get BillingCode value
     * @return string
     */
    public function getBillingCode()
    {
        return $this->BillingCode;
    }
    /**
     * Set BillingCode value
     * @param string $billingCode
     * @return \Sabre\TravelItineraryRead\Structs\BillingInfo
     */
    public function setBillingCode($billingCode = null)
    {
        $this->BillingCode = $billingCode;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\TravelItineraryRead\Structs\BillingInfo
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
