<?php

namespace Sabre\TravelItineraryRead\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GTR Structs
 * @subpackage Structs
 */
class GTR extends AbstractStructBase
{
    /**
     * The GR
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\GR
     */
    public $GR;
    /**
     * The SGR
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\SGR
     */
    public $SGR;
    /**
     * The GGR
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\GGR
     */
    public $GGR;
    /**
     * The FGR
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\FGR
     */
    public $FGR;
    /**
     * The BNumber
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $BNumber;
    /**
     * Constructor method for GTR
     * @uses GTR::setGR()
     * @uses GTR::setSGR()
     * @uses GTR::setGGR()
     * @uses GTR::setFGR()
     * @uses GTR::setBNumber()
     * @param \Sabre\TravelItineraryRead\Structs\GR $gR
     * @param \Sabre\TravelItineraryRead\Structs\SGR $sGR
     * @param \Sabre\TravelItineraryRead\Structs\GGR $gGR
     * @param \Sabre\TravelItineraryRead\Structs\FGR $fGR
     * @param string $bNumber
     */
    public function __construct(\Sabre\TravelItineraryRead\Structs\GR $gR = null, \Sabre\TravelItineraryRead\Structs\SGR $sGR = null, \Sabre\TravelItineraryRead\Structs\GGR $gGR = null, \Sabre\TravelItineraryRead\Structs\FGR $fGR = null, $bNumber = null)
    {
        $this
            ->setGR($gR)
            ->setSGR($sGR)
            ->setGGR($gGR)
            ->setFGR($fGR)
            ->setBNumber($bNumber);
    }
    /**
     * Get GR value
     * @return \Sabre\TravelItineraryRead\Structs\GR|null
     */
    public function getGR()
    {
        return $this->GR;
    }
    /**
     * Set GR value
     * @param \Sabre\TravelItineraryRead\Structs\GR $gR
     * @return \Sabre\TravelItineraryRead\Structs\GTR
     */
    public function setGR(\Sabre\TravelItineraryRead\Structs\GR $gR = null)
    {
        $this->GR = $gR;
        return $this;
    }
    /**
     * Get SGR value
     * @return \Sabre\TravelItineraryRead\Structs\SGR|null
     */
    public function getSGR()
    {
        return $this->SGR;
    }
    /**
     * Set SGR value
     * @param \Sabre\TravelItineraryRead\Structs\SGR $sGR
     * @return \Sabre\TravelItineraryRead\Structs\GTR
     */
    public function setSGR(\Sabre\TravelItineraryRead\Structs\SGR $sGR = null)
    {
        $this->SGR = $sGR;
        return $this;
    }
    /**
     * Get GGR value
     * @return \Sabre\TravelItineraryRead\Structs\GGR|null
     */
    public function getGGR()
    {
        return $this->GGR;
    }
    /**
     * Set GGR value
     * @param \Sabre\TravelItineraryRead\Structs\GGR $gGR
     * @return \Sabre\TravelItineraryRead\Structs\GTR
     */
    public function setGGR(\Sabre\TravelItineraryRead\Structs\GGR $gGR = null)
    {
        $this->GGR = $gGR;
        return $this;
    }
    /**
     * Get FGR value
     * @return \Sabre\TravelItineraryRead\Structs\FGR|null
     */
    public function getFGR()
    {
        return $this->FGR;
    }
    /**
     * Set FGR value
     * @param \Sabre\TravelItineraryRead\Structs\FGR $fGR
     * @return \Sabre\TravelItineraryRead\Structs\GTR
     */
    public function setFGR(\Sabre\TravelItineraryRead\Structs\FGR $fGR = null)
    {
        $this->FGR = $fGR;
        return $this;
    }
    /**
     * Get BNumber value
     * @return string|null
     */
    public function getBNumber()
    {
        return $this->BNumber;
    }
    /**
     * Set BNumber value
     * @param string $bNumber
     * @return \Sabre\TravelItineraryRead\Structs\GTR
     */
    public function setBNumber($bNumber = null)
    {
        $this->BNumber = $bNumber;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\TravelItineraryRead\Structs\GTR
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
