<?php

namespace Sabre\TravelItineraryRead\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for HotelProductType Structs
 * @subpackage Structs
 */
class HotelProductType extends HotelType
{
    /**
     * The RateDescription
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\MultilineTextType
     */
    public $RateDescription;
    /**
     * The HotelPolicy
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\HotelPolicy
     */
    public $HotelPolicy;
    /**
     * The SupplementalInformation
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $SupplementalInformation;
    /**
     * The PricingElements
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\PricingElementsType
     */
    public $PricingElements;
    /**
     * Constructor method for HotelProductType
     * @uses HotelProductType::setRateDescription()
     * @uses HotelProductType::setHotelPolicy()
     * @uses HotelProductType::setSupplementalInformation()
     * @uses HotelProductType::setPricingElements()
     * @param \Sabre\TravelItineraryRead\Structs\MultilineTextType $rateDescription
     * @param \Sabre\TravelItineraryRead\Structs\HotelPolicy $hotelPolicy
     * @param string $supplementalInformation
     * @param \Sabre\TravelItineraryRead\Structs\PricingElementsType $pricingElements
     */
    public function __construct(\Sabre\TravelItineraryRead\Structs\MultilineTextType $rateDescription = null, \Sabre\TravelItineraryRead\Structs\HotelPolicy $hotelPolicy = null, $supplementalInformation = null, \Sabre\TravelItineraryRead\Structs\PricingElementsType $pricingElements = null)
    {
        $this
            ->setRateDescription($rateDescription)
            ->setHotelPolicy($hotelPolicy)
            ->setSupplementalInformation($supplementalInformation)
            ->setPricingElements($pricingElements);
    }
    /**
     * Get RateDescription value
     * @return \Sabre\TravelItineraryRead\Structs\MultilineTextType|null
     */
    public function getRateDescription()
    {
        return $this->RateDescription;
    }
    /**
     * Set RateDescription value
     * @param \Sabre\TravelItineraryRead\Structs\MultilineTextType $rateDescription
     * @return \Sabre\TravelItineraryRead\Structs\HotelProductType
     */
    public function setRateDescription(\Sabre\TravelItineraryRead\Structs\MultilineTextType $rateDescription = null)
    {
        $this->RateDescription = $rateDescription;
        return $this;
    }
    /**
     * Get HotelPolicy value
     * @return \Sabre\TravelItineraryRead\Structs\HotelPolicy|null
     */
    public function getHotelPolicy()
    {
        return $this->HotelPolicy;
    }
    /**
     * Set HotelPolicy value
     * @param \Sabre\TravelItineraryRead\Structs\HotelPolicy $hotelPolicy
     * @return \Sabre\TravelItineraryRead\Structs\HotelProductType
     */
    public function setHotelPolicy(\Sabre\TravelItineraryRead\Structs\HotelPolicy $hotelPolicy = null)
    {
        $this->HotelPolicy = $hotelPolicy;
        return $this;
    }
    /**
     * Get SupplementalInformation value
     * @return string|null
     */
    public function getSupplementalInformation()
    {
        return $this->SupplementalInformation;
    }
    /**
     * Set SupplementalInformation value
     * @param string $supplementalInformation
     * @return \Sabre\TravelItineraryRead\Structs\HotelProductType
     */
    public function setSupplementalInformation($supplementalInformation = null)
    {
        $this->SupplementalInformation = $supplementalInformation;
        return $this;
    }
    /**
     * Get PricingElements value
     * @return \Sabre\TravelItineraryRead\Structs\PricingElementsType|null
     */
    public function getPricingElements()
    {
        return $this->PricingElements;
    }
    /**
     * Set PricingElements value
     * @param \Sabre\TravelItineraryRead\Structs\PricingElementsType $pricingElements
     * @return \Sabre\TravelItineraryRead\Structs\HotelProductType
     */
    public function setPricingElements(\Sabre\TravelItineraryRead\Structs\PricingElementsType $pricingElements = null)
    {
        $this->PricingElements = $pricingElements;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\TravelItineraryRead\Structs\HotelProductType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
