<?php

namespace Sabre\TravelItineraryRead\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ItinTotalFare Structs
 * @subpackage Structs
 */
class ItinTotalFare extends AbstractStructBase
{
    /**
     * The BaseFare
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\BaseFare
     */
    public $BaseFare;
    /**
     * The EquivFare
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\EquivFare
     */
    public $EquivFare;
    /**
     * The Taxes
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\Taxes
     */
    public $Taxes;
    /**
     * The TotalFare
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\TotalFare
     */
    public $TotalFare;
    /**
     * The Totals
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\Totals
     */
    public $Totals;
    /**
     * Constructor method for ItinTotalFare
     * @uses ItinTotalFare::setBaseFare()
     * @uses ItinTotalFare::setEquivFare()
     * @uses ItinTotalFare::setTaxes()
     * @uses ItinTotalFare::setTotalFare()
     * @uses ItinTotalFare::setTotals()
     * @param \Sabre\TravelItineraryRead\Structs\BaseFare $baseFare
     * @param \Sabre\TravelItineraryRead\Structs\EquivFare $equivFare
     * @param \Sabre\TravelItineraryRead\Structs\Taxes $taxes
     * @param \Sabre\TravelItineraryRead\Structs\TotalFare $totalFare
     * @param \Sabre\TravelItineraryRead\Structs\Totals $totals
     */
    public function __construct(\Sabre\TravelItineraryRead\Structs\BaseFare $baseFare = null, \Sabre\TravelItineraryRead\Structs\EquivFare $equivFare = null, \Sabre\TravelItineraryRead\Structs\Taxes $taxes = null, \Sabre\TravelItineraryRead\Structs\TotalFare $totalFare = null, \Sabre\TravelItineraryRead\Structs\Totals $totals = null)
    {
        $this
            ->setBaseFare($baseFare)
            ->setEquivFare($equivFare)
            ->setTaxes($taxes)
            ->setTotalFare($totalFare)
            ->setTotals($totals);
    }
    /**
     * Get BaseFare value
     * @return \Sabre\TravelItineraryRead\Structs\BaseFare|null
     */
    public function getBaseFare()
    {
        return $this->BaseFare;
    }
    /**
     * Set BaseFare value
     * @param \Sabre\TravelItineraryRead\Structs\BaseFare $baseFare
     * @return \Sabre\TravelItineraryRead\Structs\ItinTotalFare
     */
    public function setBaseFare(\Sabre\TravelItineraryRead\Structs\BaseFare $baseFare = null)
    {
        $this->BaseFare = $baseFare;
        return $this;
    }
    /**
     * Get EquivFare value
     * @return \Sabre\TravelItineraryRead\Structs\EquivFare|null
     */
    public function getEquivFare()
    {
        return $this->EquivFare;
    }
    /**
     * Set EquivFare value
     * @param \Sabre\TravelItineraryRead\Structs\EquivFare $equivFare
     * @return \Sabre\TravelItineraryRead\Structs\ItinTotalFare
     */
    public function setEquivFare(\Sabre\TravelItineraryRead\Structs\EquivFare $equivFare = null)
    {
        $this->EquivFare = $equivFare;
        return $this;
    }
    /**
     * Get Taxes value
     * @return \Sabre\TravelItineraryRead\Structs\Taxes|null
     */
    public function getTaxes()
    {
        return $this->Taxes;
    }
    /**
     * Set Taxes value
     * @param \Sabre\TravelItineraryRead\Structs\Taxes $taxes
     * @return \Sabre\TravelItineraryRead\Structs\ItinTotalFare
     */
    public function setTaxes(\Sabre\TravelItineraryRead\Structs\Taxes $taxes = null)
    {
        $this->Taxes = $taxes;
        return $this;
    }
    /**
     * Get TotalFare value
     * @return \Sabre\TravelItineraryRead\Structs\TotalFare|null
     */
    public function getTotalFare()
    {
        return $this->TotalFare;
    }
    /**
     * Set TotalFare value
     * @param \Sabre\TravelItineraryRead\Structs\TotalFare $totalFare
     * @return \Sabre\TravelItineraryRead\Structs\ItinTotalFare
     */
    public function setTotalFare(\Sabre\TravelItineraryRead\Structs\TotalFare $totalFare = null)
    {
        $this->TotalFare = $totalFare;
        return $this;
    }
    /**
     * Get Totals value
     * @return \Sabre\TravelItineraryRead\Structs\Totals|null
     */
    public function getTotals()
    {
        return $this->Totals;
    }
    /**
     * Set Totals value
     * @param \Sabre\TravelItineraryRead\Structs\Totals $totals
     * @return \Sabre\TravelItineraryRead\Structs\ItinTotalFare
     */
    public function setTotals(\Sabre\TravelItineraryRead\Structs\Totals $totals = null)
    {
        $this->Totals = $totals;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\TravelItineraryRead\Structs\ItinTotalFare
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
