<?php

namespace Sabre\TravelItineraryRead\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for MapType Structs
 * @subpackage Structs
 */
class MapType extends AbstractStructBase
{
    /**
     * The entry
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\Entry[]
     */
    public $entry;
    /**
     * Constructor method for MapType
     * @uses MapType::setEntry()
     * @param \Sabre\TravelItineraryRead\Structs\Entry[] $entry
     */
    public function __construct(array $entry = array())
    {
        $this
            ->setEntry($entry);
    }
    /**
     * Get entry value
     * @return \Sabre\TravelItineraryRead\Structs\Entry[]|null
     */
    public function getEntry()
    {
        return $this->entry;
    }
    /**
     * Set entry value
     * @throws \InvalidArgumentException
     * @param \Sabre\TravelItineraryRead\Structs\Entry[] $entry
     * @return \Sabre\TravelItineraryRead\Structs\MapType
     */
    public function setEntry(array $entry = array())
    {
        $this->entry = $entry;
        return $this;
    }
    /**
     * Add item to entry value
     * @throws \InvalidArgumentException
     * @param \Sabre\TravelItineraryRead\Structs\Entry $item
     * @return \Sabre\TravelItineraryRead\Structs\MapType
     */
    public function addToEntry(\Sabre\TravelItineraryRead\Structs\Entry $item)
    {
        $this->entry[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\TravelItineraryRead\Structs\MapType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
