<?php

namespace Sabre\TravelItineraryRead\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for NetFareDetails Structs
 * @subpackage Structs
 */
class NetFareDetails extends AbstractStructBase
{
    /**
     * The BaseFare
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\BaseFare
     */
    public $BaseFare;
    /**
     * The EquivFare
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\EquivFare
     */
    public $EquivFare;
    /**
     * The TotalTax
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\TotalTax
     */
    public $TotalTax;
    /**
     * The TotalFare
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\TotalFare
     */
    public $TotalFare;
    /**
     * The Commission
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\Commission
     */
    public $Commission;
    /**
     * The FareCalc
     * Meta informations extracted from the WSDL
     * - documentation: "FareCalc" returns the fare calculation line .
     * - minOccurs: 0
     * @var string
     */
    public $FareCalc;
    /**
     * The Taxes
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\Taxes
     */
    public $Taxes;
    /**
     * Constructor method for NetFareDetails
     * @uses NetFareDetails::setBaseFare()
     * @uses NetFareDetails::setEquivFare()
     * @uses NetFareDetails::setTotalTax()
     * @uses NetFareDetails::setTotalFare()
     * @uses NetFareDetails::setCommission()
     * @uses NetFareDetails::setFareCalc()
     * @uses NetFareDetails::setTaxes()
     * @param \Sabre\TravelItineraryRead\Structs\BaseFare $baseFare
     * @param \Sabre\TravelItineraryRead\Structs\EquivFare $equivFare
     * @param \Sabre\TravelItineraryRead\Structs\TotalTax $totalTax
     * @param \Sabre\TravelItineraryRead\Structs\TotalFare $totalFare
     * @param \Sabre\TravelItineraryRead\Structs\Commission $commission
     * @param string $fareCalc
     * @param \Sabre\TravelItineraryRead\Structs\Taxes $taxes
     */
    public function __construct(\Sabre\TravelItineraryRead\Structs\BaseFare $baseFare = null, \Sabre\TravelItineraryRead\Structs\EquivFare $equivFare = null, \Sabre\TravelItineraryRead\Structs\TotalTax $totalTax = null, \Sabre\TravelItineraryRead\Structs\TotalFare $totalFare = null, \Sabre\TravelItineraryRead\Structs\Commission $commission = null, $fareCalc = null, \Sabre\TravelItineraryRead\Structs\Taxes $taxes = null)
    {
        $this
            ->setBaseFare($baseFare)
            ->setEquivFare($equivFare)
            ->setTotalTax($totalTax)
            ->setTotalFare($totalFare)
            ->setCommission($commission)
            ->setFareCalc($fareCalc)
            ->setTaxes($taxes);
    }
    /**
     * Get BaseFare value
     * @return \Sabre\TravelItineraryRead\Structs\BaseFare|null
     */
    public function getBaseFare()
    {
        return $this->BaseFare;
    }
    /**
     * Set BaseFare value
     * @param \Sabre\TravelItineraryRead\Structs\BaseFare $baseFare
     * @return \Sabre\TravelItineraryRead\Structs\NetFareDetails
     */
    public function setBaseFare(\Sabre\TravelItineraryRead\Structs\BaseFare $baseFare = null)
    {
        $this->BaseFare = $baseFare;
        return $this;
    }
    /**
     * Get EquivFare value
     * @return \Sabre\TravelItineraryRead\Structs\EquivFare|null
     */
    public function getEquivFare()
    {
        return $this->EquivFare;
    }
    /**
     * Set EquivFare value
     * @param \Sabre\TravelItineraryRead\Structs\EquivFare $equivFare
     * @return \Sabre\TravelItineraryRead\Structs\NetFareDetails
     */
    public function setEquivFare(\Sabre\TravelItineraryRead\Structs\EquivFare $equivFare = null)
    {
        $this->EquivFare = $equivFare;
        return $this;
    }
    /**
     * Get TotalTax value
     * @return \Sabre\TravelItineraryRead\Structs\TotalTax|null
     */
    public function getTotalTax()
    {
        return $this->TotalTax;
    }
    /**
     * Set TotalTax value
     * @param \Sabre\TravelItineraryRead\Structs\TotalTax $totalTax
     * @return \Sabre\TravelItineraryRead\Structs\NetFareDetails
     */
    public function setTotalTax(\Sabre\TravelItineraryRead\Structs\TotalTax $totalTax = null)
    {
        $this->TotalTax = $totalTax;
        return $this;
    }
    /**
     * Get TotalFare value
     * @return \Sabre\TravelItineraryRead\Structs\TotalFare|null
     */
    public function getTotalFare()
    {
        return $this->TotalFare;
    }
    /**
     * Set TotalFare value
     * @param \Sabre\TravelItineraryRead\Structs\TotalFare $totalFare
     * @return \Sabre\TravelItineraryRead\Structs\NetFareDetails
     */
    public function setTotalFare(\Sabre\TravelItineraryRead\Structs\TotalFare $totalFare = null)
    {
        $this->TotalFare = $totalFare;
        return $this;
    }
    /**
     * Get Commission value
     * @return \Sabre\TravelItineraryRead\Structs\Commission|null
     */
    public function getCommission()
    {
        return $this->Commission;
    }
    /**
     * Set Commission value
     * @param \Sabre\TravelItineraryRead\Structs\Commission $commission
     * @return \Sabre\TravelItineraryRead\Structs\NetFareDetails
     */
    public function setCommission(\Sabre\TravelItineraryRead\Structs\Commission $commission = null)
    {
        $this->Commission = $commission;
        return $this;
    }
    /**
     * Get FareCalc value
     * @return string|null
     */
    public function getFareCalc()
    {
        return $this->FareCalc;
    }
    /**
     * Set FareCalc value
     * @param string $fareCalc
     * @return \Sabre\TravelItineraryRead\Structs\NetFareDetails
     */
    public function setFareCalc($fareCalc = null)
    {
        $this->FareCalc = $fareCalc;
        return $this;
    }
    /**
     * Get Taxes value
     * @return \Sabre\TravelItineraryRead\Structs\Taxes|null
     */
    public function getTaxes()
    {
        return $this->Taxes;
    }
    /**
     * Set Taxes value
     * @param \Sabre\TravelItineraryRead\Structs\Taxes $taxes
     * @return \Sabre\TravelItineraryRead\Structs\NetFareDetails
     */
    public function setTaxes(\Sabre\TravelItineraryRead\Structs\Taxes $taxes = null)
    {
        $this->Taxes = $taxes;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\TravelItineraryRead\Structs\NetFareDetails
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
