<?php

namespace Sabre\TravelItineraryRead\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Options Structs
 * @subpackage Structs
 */
class Options extends AbstractStructBase
{
    /**
     * The Option
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 1
     * @var \Sabre\TravelItineraryRead\Structs\Option[]
     */
    public $Option;
    /**
     * Constructor method for Options
     * @uses Options::setOption()
     * @param \Sabre\TravelItineraryRead\Structs\Option[] $option
     */
    public function __construct(array $option = array())
    {
        $this
            ->setOption($option);
    }
    /**
     * Get Option value
     * @return \Sabre\TravelItineraryRead\Structs\Option[]
     */
    public function getOption()
    {
        return $this->Option;
    }
    /**
     * Set Option value
     * @throws \InvalidArgumentException
     * @param \Sabre\TravelItineraryRead\Structs\Option[] $option
     * @return \Sabre\TravelItineraryRead\Structs\Options
     */
    public function setOption(array $option = array())
    {
        $this->Option = $option;
        return $this;
    }
    /**
     * Add item to Option value
     * @throws \InvalidArgumentException
     * @param \Sabre\TravelItineraryRead\Structs\Option $item
     * @return \Sabre\TravelItineraryRead\Structs\Options
     */
    public function addToOption(\Sabre\TravelItineraryRead\Structs\Option $item)
    {
        $this->Option[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\TravelItineraryRead\Structs\Options
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
