<?php

namespace Sabre\TravelItineraryRead\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ProductTextDetailsItem Structs
 * @subpackage Structs
 */
class ProductTextDetailsItem extends AbstractStructBase
{
    /**
     * The ItemName
     * @var CommonString
     */
    public $ItemName;
    /**
     * The ItemValue
     * @var CommonString
     */
    public $ItemValue;
    /**
     * Constructor method for ProductTextDetailsItem
     * @uses ProductTextDetailsItem::setItemName()
     * @uses ProductTextDetailsItem::setItemValue()
     * @param CommonString $itemName
     * @param CommonString $itemValue
     */
    public function __construct(CommonString $itemName = null, CommonString $itemValue = null)
    {
        $this
            ->setItemName($itemName)
            ->setItemValue($itemValue);
    }
    /**
     * Get ItemName value
     * @return CommonString|null
     */
    public function getItemName()
    {
        return $this->ItemName;
    }
    /**
     * Set ItemName value
     * @param CommonString $itemName
     * @return \Sabre\TravelItineraryRead\Structs\ProductTextDetailsItem
     */
    public function setItemName(CommonString $itemName = null)
    {
        $this->ItemName = $itemName;
        return $this;
    }
    /**
     * Get ItemValue value
     * @return CommonString|null
     */
    public function getItemValue()
    {
        return $this->ItemValue;
    }
    /**
     * Set ItemValue value
     * @param CommonString $itemValue
     * @return \Sabre\TravelItineraryRead\Structs\ProductTextDetailsItem
     */
    public function setItemValue(CommonString $itemValue = null)
    {
        $this->ItemValue = $itemValue;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\TravelItineraryRead\Structs\ProductTextDetailsItem
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
