<?php

namespace Sabre\TravelItineraryRead\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ProductType Structs
 * @subpackage Structs
 */
class ProductType extends AbstractStructBase
{
    /**
     * The ProductBase
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - ref: ProductBase
     * @var \Sabre\TravelItineraryRead\Structs\ProductBaseType
     */
    public $ProductBase;
    /**
     * The ProductDetails
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: ProductDetails
     * @var \Sabre\TravelItineraryRead\Structs\ProductDetailsType
     */
    public $ProductDetails;
    /**
     * The AdditionalContent
     * Meta informations extracted from the WSDL
     * - maxOccurs: 99
     * - minOccurs: 0
     * - ref: AdditionalContent
     * @var \Sabre\TravelItineraryRead\Structs\AdditionalContentType[]
     */
    public $AdditionalContent;
    /**
     * The sequence
     * @var int
     */
    public $sequence;
    /**
     * The id
     * Meta informations extracted from the WSDL
     * - documentation: to be used as Segment Reference
     * @var string
     */
    public $id;
    /**
     * The IsPast
     * Meta informations extracted from the WSDL
     * - documentation: It returns information if current segment is past or not. Attribute is populated based on Product - ProductBase - EndDateTime, Product - ProductBase - Endpoint.
     * - use: optional
     * @var bool
     */
    public $IsPast;
    /**
     * Constructor method for ProductType
     * @uses ProductType::setProductBase()
     * @uses ProductType::setProductDetails()
     * @uses ProductType::setAdditionalContent()
     * @uses ProductType::setSequence()
     * @uses ProductType::setId()
     * @uses ProductType::setIsPast()
     * @param \Sabre\TravelItineraryRead\Structs\ProductBaseType $productBase
     * @param \Sabre\TravelItineraryRead\Structs\ProductDetailsType $productDetails
     * @param \Sabre\TravelItineraryRead\Structs\AdditionalContentType[] $additionalContent
     * @param int $sequence
     * @param string $id
     * @param bool $isPast
     */
    public function __construct(\Sabre\TravelItineraryRead\Structs\ProductBaseType $productBase = null, \Sabre\TravelItineraryRead\Structs\ProductDetailsType $productDetails = null, array $additionalContent = array(), $sequence = null, $id = null, $isPast = null)
    {
        $this
            ->setProductBase($productBase)
            ->setProductDetails($productDetails)
            ->setAdditionalContent($additionalContent)
            ->setSequence($sequence)
            ->setId($id)
            ->setIsPast($isPast);
    }
    /**
     * Get ProductBase value
     * @return \Sabre\TravelItineraryRead\Structs\ProductBaseType|null
     */
    public function getProductBase()
    {
        return $this->ProductBase;
    }
    /**
     * Set ProductBase value
     * @param \Sabre\TravelItineraryRead\Structs\ProductBaseType $productBase
     * @return \Sabre\TravelItineraryRead\Structs\ProductType
     */
    public function setProductBase(\Sabre\TravelItineraryRead\Structs\ProductBaseType $productBase = null)
    {
        $this->ProductBase = $productBase;
        return $this;
    }
    /**
     * Get ProductDetails value
     * @return \Sabre\TravelItineraryRead\Structs\ProductDetailsType|null
     */
    public function getProductDetails()
    {
        return $this->ProductDetails;
    }
    /**
     * Set ProductDetails value
     * @param \Sabre\TravelItineraryRead\Structs\ProductDetailsType $productDetails
     * @return \Sabre\TravelItineraryRead\Structs\ProductType
     */
    public function setProductDetails(\Sabre\TravelItineraryRead\Structs\ProductDetailsType $productDetails = null)
    {
        $this->ProductDetails = $productDetails;
        return $this;
    }
    /**
     * Get AdditionalContent value
     * @return \Sabre\TravelItineraryRead\Structs\AdditionalContentType[]|null
     */
    public function getAdditionalContent()
    {
        return $this->AdditionalContent;
    }
    /**
     * Set AdditionalContent value
     * @throws \InvalidArgumentException
     * @param \Sabre\TravelItineraryRead\Structs\AdditionalContentType[] $additionalContent
     * @return \Sabre\TravelItineraryRead\Structs\ProductType
     */
    public function setAdditionalContent(array $additionalContent = array())
    {
        $this->AdditionalContent = $additionalContent;
        return $this;
    }
    /**
     * Add item to AdditionalContent value
     * @throws \InvalidArgumentException
     * @param \Sabre\TravelItineraryRead\Structs\AdditionalContentType $item
     * @return \Sabre\TravelItineraryRead\Structs\ProductType
     */
    public function addToAdditionalContent(\Sabre\TravelItineraryRead\Structs\AdditionalContentType $item)
    {
        $this->AdditionalContent[] = $item;
        return $this;
    }
    /**
     * Get sequence value
     * @return int|null
     */
    public function getSequence()
    {
        return $this->sequence;
    }
    /**
     * Set sequence value
     * @param int $sequence
     * @return \Sabre\TravelItineraryRead\Structs\ProductType
     */
    public function setSequence($sequence = null)
    {
        $this->sequence = $sequence;
        return $this;
    }
    /**
     * Get id value
     * @return string|null
     */
    public function getId()
    {
        return $this->id;
    }
    /**
     * Set id value
     * @param string $id
     * @return \Sabre\TravelItineraryRead\Structs\ProductType
     */
    public function setId($id = null)
    {
        $this->id = $id;
        return $this;
    }
    /**
     * Get IsPast value
     * @return bool|null
     */
    public function getIsPast()
    {
        return $this->IsPast;
    }
    /**
     * Set IsPast value
     * @param bool $isPast
     * @return \Sabre\TravelItineraryRead\Structs\ProductType
     */
    public function setIsPast($isPast = null)
    {
        $this->IsPast = $isPast;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\TravelItineraryRead\Structs\ProductType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
