<?php

namespace Sabre\TravelItineraryRead\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RuleSet Structs
 * Meta informations extracted from the WSDL
 * - documentation: Needed to keep track of companion benefits for example. Will come from the Rules Processor
 * @subpackage Structs
 */
class RuleSet extends AbstractStructBase
{
    /**
     * The RuleName
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $RuleName;
    /**
     * The Deal
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\Deal
     */
    public $Deal;
    /**
     * The RuleId
     * @var int
     */
    public $RuleId;
    /**
     * The _
     * @var StringLength1to20
     */
    public $_;
    /**
     * Constructor method for RuleSet
     * @uses RuleSet::setRuleName()
     * @uses RuleSet::setDeal()
     * @uses RuleSet::setRuleId()
     * @uses RuleSet::set_()
     * @param string $ruleName
     * @param \Sabre\TravelItineraryRead\Structs\Deal $deal
     * @param int $ruleId
     * @param StringLength1to20 $_
     */
    public function __construct($ruleName = null, \Sabre\TravelItineraryRead\Structs\Deal $deal = null, $ruleId = null, StringLength1to20 $_ = null)
    {
        $this
            ->setRuleName($ruleName)
            ->setDeal($deal)
            ->setRuleId($ruleId)
            ->set_($_);
    }
    /**
     * Get RuleName value
     * @return string|null
     */
    public function getRuleName()
    {
        return $this->RuleName;
    }
    /**
     * Set RuleName value
     * @param string $ruleName
     * @return \Sabre\TravelItineraryRead\Structs\RuleSet
     */
    public function setRuleName($ruleName = null)
    {
        $this->RuleName = $ruleName;
        return $this;
    }
    /**
     * Get Deal value
     * @return \Sabre\TravelItineraryRead\Structs\Deal|null
     */
    public function getDeal()
    {
        return $this->Deal;
    }
    /**
     * Set Deal value
     * @param \Sabre\TravelItineraryRead\Structs\Deal $deal
     * @return \Sabre\TravelItineraryRead\Structs\RuleSet
     */
    public function setDeal(\Sabre\TravelItineraryRead\Structs\Deal $deal = null)
    {
        $this->Deal = $deal;
        return $this;
    }
    /**
     * Get RuleId value
     * @return int|null
     */
    public function getRuleId()
    {
        return $this->RuleId;
    }
    /**
     * Set RuleId value
     * @param int $ruleId
     * @return \Sabre\TravelItineraryRead\Structs\RuleSet
     */
    public function setRuleId($ruleId = null)
    {
        $this->RuleId = $ruleId;
        return $this;
    }
    /**
     * Get _ value
     * @return StringLength1to20|null
     */
    public function get_()
    {
        return $this->_;
    }
    /**
     * Set _ value
     * @param StringLength1to20 $_
     * @return \Sabre\TravelItineraryRead\Structs\RuleSet
     */
    public function set_(StringLength1to20 $_ = null)
    {
        $this->_ = $_;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\TravelItineraryRead\Structs\RuleSet
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
