<?php

namespace Sabre\TravelItineraryRead\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ServiceRequestType Structs
 * @subpackage Structs
 */
class ServiceRequestType extends AbstractStructBase
{
    /**
     * The Comment
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Comment;
    /**
     * The FreeText
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $FreeText;
    /**
     * The FullText
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $FullText;
    /**
     * The PassengerAddressInformation
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\ServiceRequestType_PassengerAddressInformation
     */
    public $PassengerAddressInformation;
    /**
     * The OtherSupplementaryInformation
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\ServiceRequestType_OtherSupplementaryInformation
     */
    public $OtherSupplementaryInformation;
    /**
     * The TravelDocument
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\ServiceRequestType_TravelDocument
     */
    public $TravelDocument;
    /**
     * The PassengerProvidedContactForPassenger
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\ServiceRequestType_PassengerProvidedContactForPassenger
     */
    public $PassengerProvidedContactForPassenger;
    /**
     * The PassengerContactEmail
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\ServiceRequestType_PassengerContactEmail
     */
    public $PassengerContactEmail;
    /**
     * The PassengerContactMobilePhone
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\ServiceRequestType_PassengerContactMobilePhone
     */
    public $PassengerContactMobilePhone;
    /**
     * The actionCode
     * Meta informations extracted from the WSDL
     * - documentation: NN,HK,KK ... etc.
     * @var string
     */
    public $actionCode;
    /**
     * The airlineCode
     * Meta informations extracted from the WSDL
     * - documentation: ex. EY
     * @var string
     */
    public $airlineCode;
    /**
     * The code
     * Meta informations extracted from the WSDL
     * - documentation: DOCS,DOCO ... etc.
     * @var string
     */
    public $code;
    /**
     * The serviceCount
     * Meta informations extracted from the WSDL
     * - documentation: count of service items
     * @var string
     */
    public $serviceCount;
    /**
     * The serviceType
     * Meta informations extracted from the WSDL
     * - documentation: OSI/SSR or O/S
     * @var string
     */
    public $serviceType;
    /**
     * The ssrType
     * Meta informations extracted from the WSDL
     * - documentation: AFX/GFX or A/G
     * @var string
     */
    public $ssrType;
    /**
     * Constructor method for ServiceRequestType
     * @uses ServiceRequestType::setComment()
     * @uses ServiceRequestType::setFreeText()
     * @uses ServiceRequestType::setFullText()
     * @uses ServiceRequestType::setPassengerAddressInformation()
     * @uses ServiceRequestType::setOtherSupplementaryInformation()
     * @uses ServiceRequestType::setTravelDocument()
     * @uses ServiceRequestType::setPassengerProvidedContactForPassenger()
     * @uses ServiceRequestType::setPassengerContactEmail()
     * @uses ServiceRequestType::setPassengerContactMobilePhone()
     * @uses ServiceRequestType::setActionCode()
     * @uses ServiceRequestType::setAirlineCode()
     * @uses ServiceRequestType::setCode()
     * @uses ServiceRequestType::setServiceCount()
     * @uses ServiceRequestType::setServiceType()
     * @uses ServiceRequestType::setSsrType()
     * @param string $comment
     * @param string $freeText
     * @param string $fullText
     * @param \Sabre\TravelItineraryRead\Structs\ServiceRequestType_PassengerAddressInformation $passengerAddressInformation
     * @param \Sabre\TravelItineraryRead\Structs\ServiceRequestType_OtherSupplementaryInformation $otherSupplementaryInformation
     * @param \Sabre\TravelItineraryRead\Structs\ServiceRequestType_TravelDocument $travelDocument
     * @param \Sabre\TravelItineraryRead\Structs\ServiceRequestType_PassengerProvidedContactForPassenger $passengerProvidedContactForPassenger
     * @param \Sabre\TravelItineraryRead\Structs\ServiceRequestType_PassengerContactEmail $passengerContactEmail
     * @param \Sabre\TravelItineraryRead\Structs\ServiceRequestType_PassengerContactMobilePhone $passengerContactMobilePhone
     * @param string $actionCode
     * @param string $airlineCode
     * @param string $code
     * @param string $serviceCount
     * @param string $serviceType
     * @param string $ssrType
     */
    public function __construct($comment = null, $freeText = null, $fullText = null, \Sabre\TravelItineraryRead\Structs\ServiceRequestType_PassengerAddressInformation $passengerAddressInformation = null, \Sabre\TravelItineraryRead\Structs\ServiceRequestType_OtherSupplementaryInformation $otherSupplementaryInformation = null, \Sabre\TravelItineraryRead\Structs\ServiceRequestType_TravelDocument $travelDocument = null, \Sabre\TravelItineraryRead\Structs\ServiceRequestType_PassengerProvidedContactForPassenger $passengerProvidedContactForPassenger = null, \Sabre\TravelItineraryRead\Structs\ServiceRequestType_PassengerContactEmail $passengerContactEmail = null, \Sabre\TravelItineraryRead\Structs\ServiceRequestType_PassengerContactMobilePhone $passengerContactMobilePhone = null, $actionCode = null, $airlineCode = null, $code = null, $serviceCount = null, $serviceType = null, $ssrType = null)
    {
        $this
            ->setComment($comment)
            ->setFreeText($freeText)
            ->setFullText($fullText)
            ->setPassengerAddressInformation($passengerAddressInformation)
            ->setOtherSupplementaryInformation($otherSupplementaryInformation)
            ->setTravelDocument($travelDocument)
            ->setPassengerProvidedContactForPassenger($passengerProvidedContactForPassenger)
            ->setPassengerContactEmail($passengerContactEmail)
            ->setPassengerContactMobilePhone($passengerContactMobilePhone)
            ->setActionCode($actionCode)
            ->setAirlineCode($airlineCode)
            ->setCode($code)
            ->setServiceCount($serviceCount)
            ->setServiceType($serviceType)
            ->setSsrType($ssrType);
    }
    /**
     * Get Comment value
     * @return string|null
     */
    public function getComment()
    {
        return $this->Comment;
    }
    /**
     * Set Comment value
     * @param string $comment
     * @return \Sabre\TravelItineraryRead\Structs\ServiceRequestType
     */
    public function setComment($comment = null)
    {
        $this->Comment = $comment;
        return $this;
    }
    /**
     * Get FreeText value
     * @return string|null
     */
    public function getFreeText()
    {
        return $this->FreeText;
    }
    /**
     * Set FreeText value
     * @param string $freeText
     * @return \Sabre\TravelItineraryRead\Structs\ServiceRequestType
     */
    public function setFreeText($freeText = null)
    {
        $this->FreeText = $freeText;
        return $this;
    }
    /**
     * Get FullText value
     * @return string|null
     */
    public function getFullText()
    {
        return $this->FullText;
    }
    /**
     * Set FullText value
     * @param string $fullText
     * @return \Sabre\TravelItineraryRead\Structs\ServiceRequestType
     */
    public function setFullText($fullText = null)
    {
        $this->FullText = $fullText;
        return $this;
    }
    /**
     * Get PassengerAddressInformation value
     * @return \Sabre\TravelItineraryRead\Structs\ServiceRequestType_PassengerAddressInformation|null
     */
    public function getPassengerAddressInformation()
    {
        return $this->PassengerAddressInformation;
    }
    /**
     * Set PassengerAddressInformation value
     * @param \Sabre\TravelItineraryRead\Structs\ServiceRequestType_PassengerAddressInformation $passengerAddressInformation
     * @return \Sabre\TravelItineraryRead\Structs\ServiceRequestType
     */
    public function setPassengerAddressInformation(\Sabre\TravelItineraryRead\Structs\ServiceRequestType_PassengerAddressInformation $passengerAddressInformation = null)
    {
        $this->PassengerAddressInformation = $passengerAddressInformation;
        return $this;
    }
    /**
     * Get OtherSupplementaryInformation value
     * @return \Sabre\TravelItineraryRead\Structs\ServiceRequestType_OtherSupplementaryInformation|null
     */
    public function getOtherSupplementaryInformation()
    {
        return $this->OtherSupplementaryInformation;
    }
    /**
     * Set OtherSupplementaryInformation value
     * @param \Sabre\TravelItineraryRead\Structs\ServiceRequestType_OtherSupplementaryInformation $otherSupplementaryInformation
     * @return \Sabre\TravelItineraryRead\Structs\ServiceRequestType
     */
    public function setOtherSupplementaryInformation(\Sabre\TravelItineraryRead\Structs\ServiceRequestType_OtherSupplementaryInformation $otherSupplementaryInformation = null)
    {
        $this->OtherSupplementaryInformation = $otherSupplementaryInformation;
        return $this;
    }
    /**
     * Get TravelDocument value
     * @return \Sabre\TravelItineraryRead\Structs\ServiceRequestType_TravelDocument|null
     */
    public function getTravelDocument()
    {
        return $this->TravelDocument;
    }
    /**
     * Set TravelDocument value
     * @param \Sabre\TravelItineraryRead\Structs\ServiceRequestType_TravelDocument $travelDocument
     * @return \Sabre\TravelItineraryRead\Structs\ServiceRequestType
     */
    public function setTravelDocument(\Sabre\TravelItineraryRead\Structs\ServiceRequestType_TravelDocument $travelDocument = null)
    {
        $this->TravelDocument = $travelDocument;
        return $this;
    }
    /**
     * Get PassengerProvidedContactForPassenger value
     * @return \Sabre\TravelItineraryRead\Structs\ServiceRequestType_PassengerProvidedContactForPassenger|null
     */
    public function getPassengerProvidedContactForPassenger()
    {
        return $this->PassengerProvidedContactForPassenger;
    }
    /**
     * Set PassengerProvidedContactForPassenger value
     * @param \Sabre\TravelItineraryRead\Structs\ServiceRequestType_PassengerProvidedContactForPassenger $passengerProvidedContactForPassenger
     * @return \Sabre\TravelItineraryRead\Structs\ServiceRequestType
     */
    public function setPassengerProvidedContactForPassenger(\Sabre\TravelItineraryRead\Structs\ServiceRequestType_PassengerProvidedContactForPassenger $passengerProvidedContactForPassenger = null)
    {
        $this->PassengerProvidedContactForPassenger = $passengerProvidedContactForPassenger;
        return $this;
    }
    /**
     * Get PassengerContactEmail value
     * @return \Sabre\TravelItineraryRead\Structs\ServiceRequestType_PassengerContactEmail|null
     */
    public function getPassengerContactEmail()
    {
        return $this->PassengerContactEmail;
    }
    /**
     * Set PassengerContactEmail value
     * @param \Sabre\TravelItineraryRead\Structs\ServiceRequestType_PassengerContactEmail $passengerContactEmail
     * @return \Sabre\TravelItineraryRead\Structs\ServiceRequestType
     */
    public function setPassengerContactEmail(\Sabre\TravelItineraryRead\Structs\ServiceRequestType_PassengerContactEmail $passengerContactEmail = null)
    {
        $this->PassengerContactEmail = $passengerContactEmail;
        return $this;
    }
    /**
     * Get PassengerContactMobilePhone value
     * @return \Sabre\TravelItineraryRead\Structs\ServiceRequestType_PassengerContactMobilePhone|null
     */
    public function getPassengerContactMobilePhone()
    {
        return $this->PassengerContactMobilePhone;
    }
    /**
     * Set PassengerContactMobilePhone value
     * @param \Sabre\TravelItineraryRead\Structs\ServiceRequestType_PassengerContactMobilePhone $passengerContactMobilePhone
     * @return \Sabre\TravelItineraryRead\Structs\ServiceRequestType
     */
    public function setPassengerContactMobilePhone(\Sabre\TravelItineraryRead\Structs\ServiceRequestType_PassengerContactMobilePhone $passengerContactMobilePhone = null)
    {
        $this->PassengerContactMobilePhone = $passengerContactMobilePhone;
        return $this;
    }
    /**
     * Get actionCode value
     * @return string|null
     */
    public function getActionCode()
    {
        return $this->actionCode;
    }
    /**
     * Set actionCode value
     * @param string $actionCode
     * @return \Sabre\TravelItineraryRead\Structs\ServiceRequestType
     */
    public function setActionCode($actionCode = null)
    {
        $this->actionCode = $actionCode;
        return $this;
    }
    /**
     * Get airlineCode value
     * @return string|null
     */
    public function getAirlineCode()
    {
        return $this->airlineCode;
    }
    /**
     * Set airlineCode value
     * @param string $airlineCode
     * @return \Sabre\TravelItineraryRead\Structs\ServiceRequestType
     */
    public function setAirlineCode($airlineCode = null)
    {
        $this->airlineCode = $airlineCode;
        return $this;
    }
    /**
     * Get code value
     * @return string|null
     */
    public function getCode()
    {
        return $this->code;
    }
    /**
     * Set code value
     * @param string $code
     * @return \Sabre\TravelItineraryRead\Structs\ServiceRequestType
     */
    public function setCode($code = null)
    {
        $this->code = $code;
        return $this;
    }
    /**
     * Get serviceCount value
     * @return string|null
     */
    public function getServiceCount()
    {
        return $this->serviceCount;
    }
    /**
     * Set serviceCount value
     * @param string $serviceCount
     * @return \Sabre\TravelItineraryRead\Structs\ServiceRequestType
     */
    public function setServiceCount($serviceCount = null)
    {
        $this->serviceCount = $serviceCount;
        return $this;
    }
    /**
     * Get serviceType value
     * @return string|null
     */
    public function getServiceType()
    {
        return $this->serviceType;
    }
    /**
     * Set serviceType value
     * @param string $serviceType
     * @return \Sabre\TravelItineraryRead\Structs\ServiceRequestType
     */
    public function setServiceType($serviceType = null)
    {
        $this->serviceType = $serviceType;
        return $this;
    }
    /**
     * Get ssrType value
     * @return string|null
     */
    public function getSsrType()
    {
        return $this->ssrType;
    }
    /**
     * Set ssrType value
     * @param string $ssrType
     * @return \Sabre\TravelItineraryRead\Structs\ServiceRequestType
     */
    public function setSsrType($ssrType = null)
    {
        $this->ssrType = $ssrType;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\TravelItineraryRead\Structs\ServiceRequestType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
