<?php

namespace Sabre\TravelItineraryRead\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SpecialPrefs Structs
 * @subpackage Structs
 */
class SpecialPrefs extends AbstractStructBase
{
    /**
     * The Text
     * Meta informations extracted from the WSDL
     * - documentation: "Text" is used to return miscellaneous special preference-related information.
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var string[]
     */
    public $Text;
    /**
     * The LateDepartureRequired
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $LateDepartureRequired;
    /**
     * Constructor method for SpecialPrefs
     * @uses SpecialPrefs::setText()
     * @uses SpecialPrefs::setLateDepartureRequired()
     * @param string[] $text
     * @param bool $lateDepartureRequired
     */
    public function __construct(array $text = array(), $lateDepartureRequired = null)
    {
        $this
            ->setText($text)
            ->setLateDepartureRequired($lateDepartureRequired);
    }
    /**
     * Get Text value
     * @return string[]|null
     */
    public function getText()
    {
        return $this->Text;
    }
    /**
     * Set Text value
     * @throws \InvalidArgumentException
     * @param string[] $text
     * @return \Sabre\TravelItineraryRead\Structs\SpecialPrefs
     */
    public function setText(array $text = array())
    {
        $this->Text = $text;
        return $this;
    }
    /**
     * Add item to Text value
     * @throws \InvalidArgumentException
     * @param string $item
     * @return \Sabre\TravelItineraryRead\Structs\SpecialPrefs
     */
    public function addToText($item)
    {
        $this->Text[] = $item;
        return $this;
    }
    /**
     * Get LateDepartureRequired value
     * @return bool|null
     */
    public function getLateDepartureRequired()
    {
        return $this->LateDepartureRequired;
    }
    /**
     * Set LateDepartureRequired value
     * @param bool $lateDepartureRequired
     * @return \Sabre\TravelItineraryRead\Structs\SpecialPrefs
     */
    public function setLateDepartureRequired($lateDepartureRequired = null)
    {
        $this->LateDepartureRequired = $lateDepartureRequired;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\TravelItineraryRead\Structs\SpecialPrefs
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
