<?php

namespace Sabre\TravelItineraryRead\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Transactions Structs
 * @subpackage Structs
 */
class Transactions extends AbstractStructBase
{
    /**
     * The Transaction
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\Transaction[]
     */
    public $Transaction;
    /**
     * Constructor method for Transactions
     * @uses Transactions::setTransaction()
     * @param \Sabre\TravelItineraryRead\Structs\Transaction[] $transaction
     */
    public function __construct(array $transaction = array())
    {
        $this
            ->setTransaction($transaction);
    }
    /**
     * Get Transaction value
     * @return \Sabre\TravelItineraryRead\Structs\Transaction[]|null
     */
    public function getTransaction()
    {
        return $this->Transaction;
    }
    /**
     * Set Transaction value
     * @throws \InvalidArgumentException
     * @param \Sabre\TravelItineraryRead\Structs\Transaction[] $transaction
     * @return \Sabre\TravelItineraryRead\Structs\Transactions
     */
    public function setTransaction(array $transaction = array())
    {
        $this->Transaction = $transaction;
        return $this;
    }
    /**
     * Add item to Transaction value
     * @throws \InvalidArgumentException
     * @param \Sabre\TravelItineraryRead\Structs\Transaction $item
     * @return \Sabre\TravelItineraryRead\Structs\Transactions
     */
    public function addToTransaction(\Sabre\TravelItineraryRead\Structs\Transaction $item)
    {
        $this->Transaction[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\TravelItineraryRead\Structs\Transactions
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
