<?php

namespace Sabre\TravelItineraryRead\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TravelItineraryReadRQ Structs
 * @subpackage Structs
 */
class TravelItineraryReadRQ extends AbstractStructBase
{
    /**
     * The Version
     * Meta informations extracted from the WSDL
     * - use: required
     * @var string
     */
    public $Version;
    /**
     * The MessagingDetails
     * @var \Sabre\TravelItineraryRead\Structs\MessagingDetails
     */
    public $MessagingDetails;
    /**
     * The UniqueID
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\UniqueID
     */
    public $UniqueID;
    /**
     * The EchoToken
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $EchoToken;
    /**
     * The ReturnOptions
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\ReturnOptions
     */
    public $ReturnOptions;
    /**
     * The TimeStamp
     * Meta informations extracted from the WSDL
     * - use: optional
     * - documentation: A date time type that forces both date and time to be specified. A year and seconds are allowed to be omitted. Example formats: "yyyy-mm-ddThh:mm:ss", "mm-ddThh:mm:ss", "mm-ddThh:mm", "yyyy-mm-ddThh:mm"
     * - pattern:
     * (((((0[1-9])|(1[0-2]))-((0[1-9])|(1\d)|(2[0-9])))|((((0[13578])|(1[02]))-31)|(((0[1,3-9])|(1[0-2]))-30)))|(((19|20)(([02468][048])|([13579][26]))-02-29))|((20[0-9][0-9])|(19[0-9][0-9]))-((((0[1-9])|(1[0-2]))-((0[1-9])|(1\d)|(2[0-8])))|((((0[13578])|(
     * 1[02]))-31)|(((0[1,3-9])|(1[0-2]))-(29|30)))))T([0-1][0-9]|[2][0-3])(:([0-5][0-9])){1,2}
     * @var string
     */
    public $TimeStamp;
    /**
     * Constructor method for TravelItineraryReadRQ
     * @uses TravelItineraryReadRQ::setVersion()
     * @uses TravelItineraryReadRQ::setMessagingDetails()
     * @uses TravelItineraryReadRQ::setUniqueID()
     * @uses TravelItineraryReadRQ::setEchoToken()
     * @uses TravelItineraryReadRQ::setReturnOptions()
     * @uses TravelItineraryReadRQ::setTimeStamp()
     * @param string $version
     * @param \Sabre\TravelItineraryRead\Structs\MessagingDetails $messagingDetails
     * @param \Sabre\TravelItineraryRead\Structs\UniqueID $uniqueID
     * @param string $echoToken
     * @param \Sabre\TravelItineraryRead\Structs\ReturnOptions $returnOptions
     * @param string $timeStamp
     */
    public function __construct($version = null, \Sabre\TravelItineraryRead\Structs\MessagingDetails $messagingDetails = null, \Sabre\TravelItineraryRead\Structs\UniqueID $uniqueID = null, $echoToken = null, \Sabre\TravelItineraryRead\Structs\ReturnOptions $returnOptions = null, $timeStamp = null)
    {
        $this
            ->setVersion($version)
            ->setMessagingDetails($messagingDetails)
            ->setUniqueID($uniqueID)
            ->setEchoToken($echoToken)
            ->setReturnOptions($returnOptions)
            ->setTimeStamp($timeStamp);
    }
    /**
     * Get Version value
     * @return string
     */
    public function getVersion()
    {
        return $this->Version;
    }
    /**
     * Set Version value
     * @param string $version
     * @return \Sabre\TravelItineraryRead\Structs\TravelItineraryReadRQ
     */
    public function setVersion($version = null)
    {
        $this->Version = $version;
        return $this;
    }
    /**
     * Get MessagingDetails value
     * @return \Sabre\TravelItineraryRead\Structs\MessagingDetails|null
     */
    public function getMessagingDetails()
    {
        return $this->MessagingDetails;
    }
    /**
     * Set MessagingDetails value
     * @param \Sabre\TravelItineraryRead\Structs\MessagingDetails $messagingDetails
     * @return \Sabre\TravelItineraryRead\Structs\TravelItineraryReadRQ
     */
    public function setMessagingDetails(\Sabre\TravelItineraryRead\Structs\MessagingDetails $messagingDetails = null)
    {
        $this->MessagingDetails = $messagingDetails;
        return $this;
    }
    /**
     * Get UniqueID value
     * @return \Sabre\TravelItineraryRead\Structs\UniqueID|null
     */
    public function getUniqueID()
    {
        return $this->UniqueID;
    }
    /**
     * Set UniqueID value
     * @param \Sabre\TravelItineraryRead\Structs\UniqueID $uniqueID
     * @return \Sabre\TravelItineraryRead\Structs\TravelItineraryReadRQ
     */
    public function setUniqueID(\Sabre\TravelItineraryRead\Structs\UniqueID $uniqueID = null)
    {
        $this->UniqueID = $uniqueID;
        return $this;
    }
    /**
     * Get EchoToken value
     * @return string|null
     */
    public function getEchoToken()
    {
        return $this->EchoToken;
    }
    /**
     * Set EchoToken value
     * @param string $echoToken
     * @return \Sabre\TravelItineraryRead\Structs\TravelItineraryReadRQ
     */
    public function setEchoToken($echoToken = null)
    {
        $this->EchoToken = $echoToken;
        return $this;
    }
    /**
     * Get ReturnOptions value
     * @return \Sabre\TravelItineraryRead\Structs\ReturnOptions|null
     */
    public function getReturnOptions()
    {
        return $this->ReturnOptions;
    }
    /**
     * Set ReturnOptions value
     * @param \Sabre\TravelItineraryRead\Structs\ReturnOptions $returnOptions
     * @return \Sabre\TravelItineraryRead\Structs\TravelItineraryReadRQ
     */
    public function setReturnOptions(\Sabre\TravelItineraryRead\Structs\ReturnOptions $returnOptions = null)
    {
        $this->ReturnOptions = $returnOptions;
        return $this;
    }
    /**
     * Get TimeStamp value
     * @return string|null
     */
    public function getTimeStamp()
    {
        return $this->TimeStamp;
    }
    /**
     * Set TimeStamp value
     * @param string $timeStamp
     * @return \Sabre\TravelItineraryRead\Structs\TravelItineraryReadRQ
     */
    public function setTimeStamp($timeStamp = null)
    {
        $this->TimeStamp = $timeStamp;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\TravelItineraryRead\Structs\TravelItineraryReadRQ
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
