<?php

namespace Sabre\TravelItineraryRead\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TravelItineraryReadRS Structs
 * @subpackage Structs
 */
class TravelItineraryReadRS extends AbstractStructBase
{
    /**
     * The ApplicationResults
     * Meta informations extracted from the WSDL
     * - ref: stl:ApplicationResults
     * @var \Sabre\TravelItineraryRead\Structs\ApplicationResults
     */
    public $ApplicationResults;
    /**
     * The TravelItinerary
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\TravelItinerary
     */
    public $TravelItinerary;
    /**
     * The PriceQuote
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - ref: or:PriceQuote
     * @var \Sabre\TravelItineraryRead\Structs\PriceQuoteType
     */
    public $PriceQuote;
    /**
     * The VCR
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\VCR
     */
    public $VCR;
    /**
     * The Version
     * Meta informations extracted from the WSDL
     * - use: optional
     * @var string
     */
    public $Version;
    /**
     * Constructor method for TravelItineraryReadRS
     * @uses TravelItineraryReadRS::setApplicationResults()
     * @uses TravelItineraryReadRS::setTravelItinerary()
     * @uses TravelItineraryReadRS::setPriceQuote()
     * @uses TravelItineraryReadRS::setVCR()
     * @uses TravelItineraryReadRS::setVersion()
     * @param \Sabre\TravelItineraryRead\Structs\ApplicationResults $applicationResults
     * @param \Sabre\TravelItineraryRead\Structs\TravelItinerary $travelItinerary
     * @param \Sabre\TravelItineraryRead\Structs\PriceQuoteType $priceQuote
     * @param \Sabre\TravelItineraryRead\Structs\VCR $vCR
     * @param string $version
     */
    public function __construct(\Sabre\TravelItineraryRead\Structs\ApplicationResults $applicationResults = null, \Sabre\TravelItineraryRead\Structs\TravelItinerary $travelItinerary = null, \Sabre\TravelItineraryRead\Structs\PriceQuoteType $priceQuote = null, \Sabre\TravelItineraryRead\Structs\VCR $vCR = null, $version = null)
    {
        $this
            ->setApplicationResults($applicationResults)
            ->setTravelItinerary($travelItinerary)
            ->setPriceQuote($priceQuote)
            ->setVCR($vCR)
            ->setVersion($version);
    }
    /**
     * Get ApplicationResults value
     * @return \Sabre\TravelItineraryRead\Structs\ApplicationResults|null
     */
    public function getApplicationResults()
    {
        return $this->ApplicationResults;
    }
    /**
     * Set ApplicationResults value
     * @param \Sabre\TravelItineraryRead\Structs\ApplicationResults $applicationResults
     * @return \Sabre\TravelItineraryRead\Structs\TravelItineraryReadRS
     */
    public function setApplicationResults(\Sabre\TravelItineraryRead\Structs\ApplicationResults $applicationResults = null)
    {
        $this->ApplicationResults = $applicationResults;
        return $this;
    }
    /**
     * Get TravelItinerary value
     * @return \Sabre\TravelItineraryRead\Structs\TravelItinerary|null
     */
    public function getTravelItinerary()
    {
        return $this->TravelItinerary;
    }
    /**
     * Set TravelItinerary value
     * @param \Sabre\TravelItineraryRead\Structs\TravelItinerary $travelItinerary
     * @return \Sabre\TravelItineraryRead\Structs\TravelItineraryReadRS
     */
    public function setTravelItinerary(\Sabre\TravelItineraryRead\Structs\TravelItinerary $travelItinerary = null)
    {
        $this->TravelItinerary = $travelItinerary;
        return $this;
    }
    /**
     * Get PriceQuote value
     * @return \Sabre\TravelItineraryRead\Structs\PriceQuoteType|null
     */
    public function getPriceQuote()
    {
        return $this->PriceQuote;
    }
    /**
     * Set PriceQuote value
     * @param \Sabre\TravelItineraryRead\Structs\PriceQuoteType $priceQuote
     * @return \Sabre\TravelItineraryRead\Structs\TravelItineraryReadRS
     */
    public function setPriceQuote(\Sabre\TravelItineraryRead\Structs\PriceQuoteType $priceQuote = null)
    {
        $this->PriceQuote = $priceQuote;
        return $this;
    }
    /**
     * Get VCR value
     * @return \Sabre\TravelItineraryRead\Structs\VCR|null
     */
    public function getVCR()
    {
        return $this->VCR;
    }
    /**
     * Set VCR value
     * @param \Sabre\TravelItineraryRead\Structs\VCR $vCR
     * @return \Sabre\TravelItineraryRead\Structs\TravelItineraryReadRS
     */
    public function setVCR(\Sabre\TravelItineraryRead\Structs\VCR $vCR = null)
    {
        $this->VCR = $vCR;
        return $this;
    }
    /**
     * Get Version value
     * @return string|null
     */
    public function getVersion()
    {
        return $this->Version;
    }
    /**
     * Set Version value
     * @param string $version
     * @return \Sabre\TravelItineraryRead\Structs\TravelItineraryReadRS
     */
    public function setVersion($version = null)
    {
        $this->Version = $version;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\TravelItineraryRead\Structs\TravelItineraryReadRS
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
