<?php

namespace Sabre\TravelItineraryRead\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for VehRentalCore Structs
 * Meta informations extracted from the WSDL
 * - documentation: "VehRentalCore" is used to return vehicle rental rental time-related information.
 * @subpackage Structs
 */
class VehRentalCore extends AbstractStructBase
{
    /**
     * The DropOffLocationDetails
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\DropOffLocationDetails
     */
    public $DropOffLocationDetails;
    /**
     * The FlightSegment
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\FlightSegment
     */
    public $FlightSegment;
    /**
     * The LocationDetails
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\LocationDetails
     */
    public $LocationDetails;
    /**
     * The PickUpDateTime
     * Meta informations extracted from the WSDL
     * - documentation: "PickUpDateTime" follows this format: MM-DDTHH:MM
     * - use: optional
     * @var string
     */
    public $PickUpDateTime;
    /**
     * The PickUpDay
     * Meta informations extracted from the WSDL
     * - documentation: "PickUpDay" returns the Pick up day information
     * - use: optional
     * @var string
     */
    public $PickUpDay;
    /**
     * The ReturnDateTime
     * Meta informations extracted from the WSDL
     * - documentation: "ReturnDateTime" follows this format: MM-DDTHH:MM
     * - use: optional
     * @var string
     */
    public $ReturnDateTime;
    /**
     * Constructor method for VehRentalCore
     * @uses VehRentalCore::setDropOffLocationDetails()
     * @uses VehRentalCore::setFlightSegment()
     * @uses VehRentalCore::setLocationDetails()
     * @uses VehRentalCore::setPickUpDateTime()
     * @uses VehRentalCore::setPickUpDay()
     * @uses VehRentalCore::setReturnDateTime()
     * @param \Sabre\TravelItineraryRead\Structs\DropOffLocationDetails $dropOffLocationDetails
     * @param \Sabre\TravelItineraryRead\Structs\FlightSegment $flightSegment
     * @param \Sabre\TravelItineraryRead\Structs\LocationDetails $locationDetails
     * @param string $pickUpDateTime
     * @param string $pickUpDay
     * @param string $returnDateTime
     */
    public function __construct(\Sabre\TravelItineraryRead\Structs\DropOffLocationDetails $dropOffLocationDetails = null, \Sabre\TravelItineraryRead\Structs\FlightSegment $flightSegment = null, \Sabre\TravelItineraryRead\Structs\LocationDetails $locationDetails = null, $pickUpDateTime = null, $pickUpDay = null, $returnDateTime = null)
    {
        $this
            ->setDropOffLocationDetails($dropOffLocationDetails)
            ->setFlightSegment($flightSegment)
            ->setLocationDetails($locationDetails)
            ->setPickUpDateTime($pickUpDateTime)
            ->setPickUpDay($pickUpDay)
            ->setReturnDateTime($returnDateTime);
    }
    /**
     * Get DropOffLocationDetails value
     * @return \Sabre\TravelItineraryRead\Structs\DropOffLocationDetails|null
     */
    public function getDropOffLocationDetails()
    {
        return $this->DropOffLocationDetails;
    }
    /**
     * Set DropOffLocationDetails value
     * @param \Sabre\TravelItineraryRead\Structs\DropOffLocationDetails $dropOffLocationDetails
     * @return \Sabre\TravelItineraryRead\Structs\VehRentalCore
     */
    public function setDropOffLocationDetails(\Sabre\TravelItineraryRead\Structs\DropOffLocationDetails $dropOffLocationDetails = null)
    {
        $this->DropOffLocationDetails = $dropOffLocationDetails;
        return $this;
    }
    /**
     * Get FlightSegment value
     * @return \Sabre\TravelItineraryRead\Structs\FlightSegment|null
     */
    public function getFlightSegment()
    {
        return $this->FlightSegment;
    }
    /**
     * Set FlightSegment value
     * @param \Sabre\TravelItineraryRead\Structs\FlightSegment $flightSegment
     * @return \Sabre\TravelItineraryRead\Structs\VehRentalCore
     */
    public function setFlightSegment(\Sabre\TravelItineraryRead\Structs\FlightSegment $flightSegment = null)
    {
        $this->FlightSegment = $flightSegment;
        return $this;
    }
    /**
     * Get LocationDetails value
     * @return \Sabre\TravelItineraryRead\Structs\LocationDetails|null
     */
    public function getLocationDetails()
    {
        return $this->LocationDetails;
    }
    /**
     * Set LocationDetails value
     * @param \Sabre\TravelItineraryRead\Structs\LocationDetails $locationDetails
     * @return \Sabre\TravelItineraryRead\Structs\VehRentalCore
     */
    public function setLocationDetails(\Sabre\TravelItineraryRead\Structs\LocationDetails $locationDetails = null)
    {
        $this->LocationDetails = $locationDetails;
        return $this;
    }
    /**
     * Get PickUpDateTime value
     * @return string|null
     */
    public function getPickUpDateTime()
    {
        return $this->PickUpDateTime;
    }
    /**
     * Set PickUpDateTime value
     * @param string $pickUpDateTime
     * @return \Sabre\TravelItineraryRead\Structs\VehRentalCore
     */
    public function setPickUpDateTime($pickUpDateTime = null)
    {
        $this->PickUpDateTime = $pickUpDateTime;
        return $this;
    }
    /**
     * Get PickUpDay value
     * @return string|null
     */
    public function getPickUpDay()
    {
        return $this->PickUpDay;
    }
    /**
     * Set PickUpDay value
     * @param string $pickUpDay
     * @return \Sabre\TravelItineraryRead\Structs\VehRentalCore
     */
    public function setPickUpDay($pickUpDay = null)
    {
        $this->PickUpDay = $pickUpDay;
        return $this;
    }
    /**
     * Get ReturnDateTime value
     * @return string|null
     */
    public function getReturnDateTime()
    {
        return $this->ReturnDateTime;
    }
    /**
     * Set ReturnDateTime value
     * @param string $returnDateTime
     * @return \Sabre\TravelItineraryRead\Structs\VehRentalCore
     */
    public function setReturnDateTime($returnDateTime = null)
    {
        $this->ReturnDateTime = $returnDateTime;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\TravelItineraryRead\Structs\VehRentalCore
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
