<?php

namespace Sabre\TravelItineraryRead\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for VehicleRentalCore Structs
 * Meta informations extracted from the WSDL
 * - documentation: "VehicleRentalCore" is used to return vehicle rental rental time-related information.
 * @subpackage Structs
 */
class VehicleRentalCore extends AbstractStructBase
{
    /**
     * The DropOffLocationDetails
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\DropOffLocationDetails
     */
    public $DropOffLocationDetails;
    /**
     * The FlightSegment
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\FlightSegment
     */
    public $FlightSegment;
    /**
     * The LocationDetails
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\TravelItineraryRead\Structs\LocationDetails
     */
    public $LocationDetails;
    /**
     * The pickUpDateTime
     * Meta informations extracted from the WSDL
     * - documentation: "pickUpDateTime" follows this format: MM-DDTHH:MM
     * - use: optional
     * @var string
     */
    public $pickUpDateTime;
    /**
     * The returnDateTime
     * Meta informations extracted from the WSDL
     * - documentation: "returnDateTime" follows this format: MM-DDTHH:MM
     * - use: optional
     * @var string
     */
    public $returnDateTime;
    /**
     * Constructor method for VehicleRentalCore
     * @uses VehicleRentalCore::setDropOffLocationDetails()
     * @uses VehicleRentalCore::setFlightSegment()
     * @uses VehicleRentalCore::setLocationDetails()
     * @uses VehicleRentalCore::setPickUpDateTime()
     * @uses VehicleRentalCore::setReturnDateTime()
     * @param \Sabre\TravelItineraryRead\Structs\DropOffLocationDetails $dropOffLocationDetails
     * @param \Sabre\TravelItineraryRead\Structs\FlightSegment $flightSegment
     * @param \Sabre\TravelItineraryRead\Structs\LocationDetails $locationDetails
     * @param string $pickUpDateTime
     * @param string $returnDateTime
     */
    public function __construct(\Sabre\TravelItineraryRead\Structs\DropOffLocationDetails $dropOffLocationDetails = null, \Sabre\TravelItineraryRead\Structs\FlightSegment $flightSegment = null, \Sabre\TravelItineraryRead\Structs\LocationDetails $locationDetails = null, $pickUpDateTime = null, $returnDateTime = null)
    {
        $this
            ->setDropOffLocationDetails($dropOffLocationDetails)
            ->setFlightSegment($flightSegment)
            ->setLocationDetails($locationDetails)
            ->setPickUpDateTime($pickUpDateTime)
            ->setReturnDateTime($returnDateTime);
    }
    /**
     * Get DropOffLocationDetails value
     * @return \Sabre\TravelItineraryRead\Structs\DropOffLocationDetails|null
     */
    public function getDropOffLocationDetails()
    {
        return $this->DropOffLocationDetails;
    }
    /**
     * Set DropOffLocationDetails value
     * @param \Sabre\TravelItineraryRead\Structs\DropOffLocationDetails $dropOffLocationDetails
     * @return \Sabre\TravelItineraryRead\Structs\VehicleRentalCore
     */
    public function setDropOffLocationDetails(\Sabre\TravelItineraryRead\Structs\DropOffLocationDetails $dropOffLocationDetails = null)
    {
        $this->DropOffLocationDetails = $dropOffLocationDetails;
        return $this;
    }
    /**
     * Get FlightSegment value
     * @return \Sabre\TravelItineraryRead\Structs\FlightSegment|null
     */
    public function getFlightSegment()
    {
        return $this->FlightSegment;
    }
    /**
     * Set FlightSegment value
     * @param \Sabre\TravelItineraryRead\Structs\FlightSegment $flightSegment
     * @return \Sabre\TravelItineraryRead\Structs\VehicleRentalCore
     */
    public function setFlightSegment(\Sabre\TravelItineraryRead\Structs\FlightSegment $flightSegment = null)
    {
        $this->FlightSegment = $flightSegment;
        return $this;
    }
    /**
     * Get LocationDetails value
     * @return \Sabre\TravelItineraryRead\Structs\LocationDetails|null
     */
    public function getLocationDetails()
    {
        return $this->LocationDetails;
    }
    /**
     * Set LocationDetails value
     * @param \Sabre\TravelItineraryRead\Structs\LocationDetails $locationDetails
     * @return \Sabre\TravelItineraryRead\Structs\VehicleRentalCore
     */
    public function setLocationDetails(\Sabre\TravelItineraryRead\Structs\LocationDetails $locationDetails = null)
    {
        $this->LocationDetails = $locationDetails;
        return $this;
    }
    /**
     * Get pickUpDateTime value
     * @return string|null
     */
    public function getPickUpDateTime()
    {
        return $this->pickUpDateTime;
    }
    /**
     * Set pickUpDateTime value
     * @param string $pickUpDateTime
     * @return \Sabre\TravelItineraryRead\Structs\VehicleRentalCore
     */
    public function setPickUpDateTime($pickUpDateTime = null)
    {
        $this->pickUpDateTime = $pickUpDateTime;
        return $this;
    }
    /**
     * Get returnDateTime value
     * @return string|null
     */
    public function getReturnDateTime()
    {
        return $this->returnDateTime;
    }
    /**
     * Set returnDateTime value
     * @param string $returnDateTime
     * @return \Sabre\TravelItineraryRead\Structs\VehicleRentalCore
     */
    public function setReturnDateTime($returnDateTime = null)
    {
        $this->returnDateTime = $returnDateTime;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\TravelItineraryRead\Structs\VehicleRentalCore
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
